Introduction

 Top Next

INTRODUCTION

Thank you for purchasing your IZAC Control and Monitoring System (ICMS) and the ICMS Network Information Manager (INFORM) software. We are confident that you will enjoy many years of energy savings and improved comfort with your ICMS.

SYSTEM SUPPORT

Your primary support beyond this Help file is the Solidyne Factory Trained and Authorized installing/servicing Dealer/Contractor. Please contact them for questions, system upgrades and software updates. For general Solidyne Corporation information, go to

http://www.solidyne.com

HELP FEATURES

While running ICMS, the Help function is available anytime by keying F1. In future releases of ICMS, Help will automated so that the F1 key will take you directly to the help information related to the area in ICMS that you are working.

In the meantime, this "stand-alone" version operates like a typical Help feature that you are accustomed to using "Contents" or "Index" to search for a topic. The entire file can be printed as well.

Copyright

This manual and the accompanying software described by this manual are copyrighted by and contain proprietary information of Solidyne Corporation.

This manual may not be reproduced, translated or software reduced to machine readable form in whole or in part without the prior written consent of Solidyne Corporation. IZAC Remote Communications Software is protected by the copyright laws that pertain to computer software. IT IS ILLEGAL to make copies of the software without written permission from Solidyne Corporation. In particular, it is illegal to give or sell a copy to another person.

The accompanying software may not be duplicated in whole or in part for any purpose. Copies of the software, this manual or the listings of programs may not be sold or given to any person or other entity. Notwithstanding the foregoing, the accompanying software may be duplicated for the use of the original purchaser as a backup.

Limitations of Warranty and Liability

Solidyne Corporation, or any dealer distributing this product, makes no warranty, express or implied, with respect to this manual, the associated software or other related items for their quality, performance, merchantability or fitness for any particular use. It is solely the purchaser's responsibility to determine their suitability for any particular purpose.

Solidyne Corporation will in no event be held liable for direct, indirect or incidental damage resulting from any defect or omission in this manual, the software or other related items or processes, including but not limited to, any interruption of service, loss of business or anticipatory profit or other consequential damages.

This statement of limited liability is in lieu of all other warranties or guarantees, express or implied, including warranties of merchantability or fitness for a particular purpose. Solidyne Corporation neither assumes nor authorizes any other person to assume any other warranty or liability in connection with the sale of its products.

ICMS 5 window


INFORM Critical Files

 Top Previous Next

ICMS Critical Files

This topic describes some of the critical files that the ICMS software uses, and how they work together.

The icms.exe is the main program of the ICMS software. It handles communication with the network but does not have any influence on network parameters. Anything that needs to be updated or retrieved from the network will all be done through this program. This program interacts with only 2 other critical files, they are the ICMS.mdb and the ICMSUA.mdb which is described in more detail below.

The icmscfg.exe is the network configuration program. This program is used as a "Network Configurator". This is where you will be setting up networks, labeling devices (points), configuring area schedules and writing your programs along with other network parameters. This program does not interact or communicate with the network. This program interacts with only 2 other critical files, they are the ICMS.mdb and the ICMSUA.mdb which is described in more detail below.

Icon icmsdb

The ICMS.mdb is the database that will store all network data. This includes everything from the Network name to Input multipliers and offsets. This file is critical to both the icms.exe and the icmscfg.exe. The icms.exe program will retrieve data from this database to send to a network and will store any data retrieved from the network. I would be wise to back this file up on a frequent basis.

Icon icmsua

The ICMSUA.mdb is used for End User software security. This database stores all of the login names and passwords for user access into the ICMS software. It is encrypted to every specific machine and is password protected.

Icon dbupdate

The ICMSDBUpdate.exe program is used to update both the ICMS.mdb and the ICMSUA.mdb databases. On every new version of ICMS, there will be a new version of the ICMSDBUpdate.exe program that will update you network databases without having to start all over. Please maintain backup copies of your ICMS.mdb and ICMSUA.mdb database before running this program.

NOTE: The ICMS software is not a "backward compatible" piece of software. It has been created to be "backward compatible" to the IZAC EPROM revision of 052798. Please contact the company which installed your Solidyne network to verify if it is compatible with the ICMS software.


Creating a New Network

Creating a new network.

Begin this process by clicking button-run config in the ICMS tool bar.

Select the menu heading Configuration->Controller Network as shown above and the window below will appear.

Next, select Networks->Add Network.

The "Add Network" window below will appear.

AddNetwork From this screen, you can enter a network Name, Phone Number for the network, and the Data File Path. The Data File Path defines where Logged Data will be stored for the network.

After you have entered the necessary information in the Network Details window, click OK, and the window below will appear.

Enter the number of nodes that will be in the network. A node is a controller such as an IZAC or an IZAC VAV.

The window below is used to name the nodes in the new network. It is also used to define other parameters such as the Node Type and Cancelable Override settings.

Parameters shown in this window such as Node Type, Alarm Dial Out Attempts, IZAC Subtype, Assume, and M-930 should be left as their default values as shown above.

Automated Node Additions

ICMS will automatically name your nodes for you! Below is a description of how it works.

The window above shows that the name for my first node is "Node 1" and the checkbox for "Sequentially Name Remaining Nodes" is checked. Since the name of my node is "Node 1", which ends with a numerical value, if OK is clicked with the parameters above, the ICMS software will automatically name the remaining nodes. In this example, I have specified that there are 5 nodes in this network. You will see below that the software has automatically named the 5 nodes. In this example, "Node 1" was used, although any name followed by a number will work. For example "RTU 1", "VAV 1", "Room 1" etc.


How to share databases with other users

How to share databases with other users

The ICMS software has the ability to Export the required .csv files so that you can share them with your customer or email them to Solidyne's Technical Support Division for review. If you have written or retrieved programs in your ICMS network database, the EXPORT process WILL export the programs from the database.

The entire nature of this exercise is "how do I get the network information on my computer to another computer?" Well, this is done by exporting your network information into small files called csv's which can then be imported into another computer.

Begin this process by clicking button-run config in the ICMS tool bar.

Next, Click File->Export and a window similar to the one below will appear.

This function will be responsible for exporting the .csv files necessary for importing, all you have to do is select which network you would like to export and where you want the export utility to put the .csv files. Once you have specified the network and path for exporting, Click "Export".

After the network has been successfully exported, you will find the exported .csv files in the path that you specified, in the example above, the path was

C:\My New Network\

My New Network Window

These are the files which are necessary for importing. Typically these files are small in size and can easily be emailed or transferred onto a floppy disk for transporting to the computer which you would like to import the information.

IMPORTING

Now that the csv files have been created, you can now import them onto the "other" computer.

The Import process starts by clicking Config Button in the ICMS toolbar, to open the configuration manager.

Selecting File->Import opens the window below.

Using the "Explorer-like" folder tree, open the folder that contains the csv files.

Before importing the network information into the database, there are two check boxes that will allow you to slightly alter the information that is imported.

1. Keep device names during network update.

This checkbox only comes into effect when you are attempting to import a network that already exists. If the network that is being imported does not exist in the database, this checkbox has no relevance.

If the network does exist in the database, the network that is being imported and existing network may have discrepancies in their input, output, and virtual labels. If you would like to keep the existing labels and NOT overwrite them with the importing network labels, then the "Keep device names during network update" checkbox should be checked.

2. Update default Network Data Path to match imported Network.csv

This checkbox is relatively important. Every network has a Data File Path and most of the time they each have different Data File Paths. The Data File Path is an entry in the network configuration when and new network is created. It specifies where on the hard disk logged data is stored or saved.

For example, two computers, Computer A and Computer B, Computer A has a network called Network A and the Data File Path for Network A is C:\Network A as shown below.

window net a details

If Computer B does not have the above path of C:\Network A, the "Update default Network Data Path to match imported Network.csv" checkbox should NOT be checked. Unchecking this checkbox will create a Data File Path of the path of import which maybe from a floppy drive, CDRom drive or even a download folder if the csv's were emailed to Computer B.

If the Data File Path does not exist on the computer after importing, you will get the warning below when a network is loaded in ICMS.

No Data File Path

If you get the "No Network Path" warning, you need to change the Data File Path for the network that is being loaded at the time of the warning. To change the Data File Path, click Config Button to open the configuration manager, select Configuration->Controller Network, select the correct Network, then select the Networks Menu and select Modify Network.

After all of the import configuration is complete, click "Import" and when the import process has completed, you will see the window below.


Modifying Network Details

Modifying Network Details

To modify network details, click CONFIG BUTTON in the ICMS toolbar.

Select Configuration->Controller Network. When the window below appears, select Network->Modify Configuration.

This is the window that will modify network details listed below.

Holidays

Daylight Savings

Delays

Alarm Dial Out

Network Description

Local Controller Password

Holidays

The controllers can be programmed to perform specific operations on holidays. The holiday can be considered as an eighth day of the week from a programming point of view. Sixteen (16) holidays can be entered, but the sequence of operation performed on one holiday will be performed on all holidays.

To enter a holiday, click "Add Holiday".

As shown above, enter a holiday name, a start date of the holiday and the end date of the holiday, then click "OK".

To add another holiday, click "Add Holiday", to edit an existing holiday, click "Edit Holiday" and to remove an existing holiday from the holiday table, click "Delete Holiday".

Daylight Savings Time

The controllers can be programmed to automatically reset the time to accommodate daylight savings.

The default value for Daylight Savings Time is "No Daylight Savings Time Adjustment Required". This setting should be sufficient if you are not in an area that uses daylight savings.

Daylight Saving Time begins for most of the United States at 2 A.M. on the first Sunday of April. Time reverts to standard time at 2 A.M. on the last Sunday of October.

The dates shown above are the correct dates to enter if you are in a part of the country that uses daylight savings.

Delays

Delays pertain to digital output switching and can be programmed to protect equipment. Typically the delays configuration is not changed from its default values of 0 or 1. Contact Solidyne's Technical Support Division for information on output switching delays before you implement them into your network configuration.

Two types of delays can be entered, "A.C. power to FAILSAFE delay" and "Sequential load SWITCHING delay".

A.C. power to FAILSAFE delay is entered in minutes. If a power failure occurs and the memory is lost, the controllers will maintain a programmable failsafe state for all outputs when power is reapplied. The outputs will initially be controlled by the "Power on status". After the A.C. power on to FAILSAFE delay times out, the outputs will be commanded to the "Memory lost status". Refer to "Modifying Device Details for Outputs" for more information about "Memory lost status" and "Power on status".

Sequential load SWITCHING delay. The programming within the controllers may command multiple outputs to be turned on of off simultaneously. At minimum, the controller will delay one second between the switching of each output. A switching delay of 255 seconds can be entered. The delay is most commonly used to avoid large demand peaks during startup. All digital output switching programs will adhere to this delay.

Alarm

Dial-Out

The controllers transmit alarms to direct connect and remote connect computers. The alarm dial-out Phone Number is the phone number of the computer that will receive the alarm. The alarm dial-out ID Number is used to identify the network reporting the alarm.

Phone Number. The IZAC family of controllers have the capability of assigning dial-out phone numbers within individual alarm programs. The Alarm Dial-Out Phone Number will be used by features that do not have individual alarm dial-out phone numbers such as Run Time Action.

ID Number. The 14 character, alphanumeric ID number identifies the network reporting the alarm.

Network

Description

The Network Description is an area of unlimited text entry to describe the network in detail.

Local Controller Password

The local controller password (also known as Access Code) locks the controllers display unit. The local controller password does not restrict computer access. Refer to "Password" for computer lockout. The access code must be entered through the display unit to view network data.


Modifying Device Details

Modifying details of Inputs, Outputs and Virtual Points

Begin this process by clicking button-run config in the ICMS tool bar.

Select the menu heading Configuration->Controller Network and the window below will appear.

In this window you have the ability to configure details of the Inputs, Outputs and Virtual points of any on the nodes of the network.

Figure 1

In the window above you can edit the details of any of the Inputs on this node or any nodes on the network. For more detailed technical information on the input structure of your controller network, please refer to the controllers technical data sheet.

Name: User definable label field of the input. Ex: Outside Air Temperature.

Type: This is the type of input that is terminated on this input point of the controller. Ranges from thermistor (3, 10, 100 kohm), 0-10vdc, 4-20mA, Pulse, Analog or Flow.

Peak: (High or Low) The controllers will record the peak HIGH or LOW input readings on a daily basis for the last 35 days. This menu item configures the controller to record the peak HIGH or LOW values on a input by input basis.

Units: User definable label field. 4 characters max. Not a necessary entry field. The information stored in this field is purely for notation. The information is only saved in the database and not sent to the network. Examples: KW, %RH, PSI.

Averaging Period: Default value: 1. Specifies the averaging period in minutes (1-255) for the input.

Multiplier: Default value: 1. The multiplier is used to scale inputs. A value from -127.9998 to 127.9999 can be entered to scale the input. The inputs can display values from -4095.9 to 4095.9.

Offset: Default value: 0. The offset is used to fine tune input readings. The offset and multiplier are used in conjunction to calibrate certain types of inputs.

Override Duration: Default value: 0. The sensor inputs can be used to trigger overrides. An override is triggered by momentarily shorting any input. The override duration will determine how long (1-255 minutes) the selected outputs in the "Local Output Overrides" box will be overridden ON. To successfully trigger a local override of an output, a short must be present on the input for 1 second.

Cancellable Override?: Default value: YES. After a local override has been triggered, it may be cancelled inside of its override duration time by shorting the input for 1 second, 1 second pause, 1 second short. That's two one second shorts in a 5 second window. If you would like the local override to completely time out without the ability to cancel, you must change the Cancellable Override? selection to NO in the node configuration details. This is a global node selection. You cannot have some inputs with cancellable overrides, and some without.

Device Not in Use: Checking this box will eliminate the "Name" entry to be shown on that inputs tab. Not a network parameter, a software selection only.

Alarm Text: No default entry. A 36 character alarm description can be entered for each input. The alarm text can be used to describe an alarm condition that has occurred and provide instructions for corrective action. The description will be displayed within alarm messages created by this input. The detailed alarm message allows untrained personnel to intelligently monitor your building automation system.

High/Low Labels: No default entry. The High and Low labels can be used to enhance the monitoring capabilities of the software. The High label will be displayed when the actual input value is at or above the selected High value. The Low label will be displayed when the actual input value is below the selected Low value. Between the High and Low values, the actual input value will be displayed.

Calibrate: Used to calibrate input values. Uses Actual High and Low values and Desired High and Low values to calculate a multiplier and offset that will give you the desired values.

For example, a water level sensor has a 0-10vdc input. When the tank is full, the sensor produces 10vdc and when the tank is empty, the sensor produces 0vdc. The controller will show a sensor value of 0 when 0vdc is applied to the input and will show a value of 1000 when 10vdc is applied to the input. If the tank is 250 inches tall, and 250 is the value you would like to read when the sensor is applying 10vdc, then enter 250 as your "Desired High" value as shown below. If when the tank is empty, the level sensor is still applying 1vdc to the input and you would like to read 0, then change the "Actual Low" value in step 3 to 100 (1vcd=100, 2vdc=200 3vdc=300 etc.) and enter 0 as the "Desired Low" value and click "Calculate" as shown below.

Clicking "Save Multiplier/Offset" will save the multiplier and offset into the input details for the input that you are calibrating so that you don't have to write it down, or try to remember it.

Override Name: No Default Entry. If you are using the local override function of a particular input, you should provide a name (label) for it so that the override can be triggered through the software.

The input Name, Units, Device Not in Use, Alarm text, High label and Low label, Override Name are stored in the computer (database).These entries are used to enhance the monitoring capabilities of the software and are not stored or sent to the controllers.

Figure 2

In the window above you can edit the details of any of the Outputs on this node or any nodes on the network.

Name: User definable label field of the output. Ex: Fan

Type: This is the type of output that is being used. There are 3 types of output types. Digital Output, 0-10vdc and Slow PWM (not widely used on current controllers).

Minimum On Time: Default value: 0. Minimum number of minutes to hold an output ON after being commanded ON. The output will not be allowed to shut OFF until the programmed number of minutes has elapsed.

Minimum Off Time: Default value: 0. Minimum number of minutes to hold an output OFF after being commanded OFF. The output will not be allowed to turn ON until the programmed number of minutes has elapsed.

Power On Status: Default value: OFF. Controls the status of digital outputs when power is first applied to restored. On power up, the controller automatically re-initializes itself to control the outputs based on current conditions. During the initialization process it may be desirable to specify the state of the output. After the initialization process is complete, the outputs will be controlled according to the program previously entered.

Memory Lost Status: Default value: OFF. Specifies the fail-safe state of the output when the controller has completely lost its memory. The output will remain in this state until a program has commanded it otherwise.

Device Not in Use: Checking this box will eliminate the "Name" entry to be shown on that output tab. Not a network parameter, a software selection only.

Polarity Energized: Default value: ON. Specifies the control of the digital output to be energized when commanded ON or energized when commanded OFF. Allows program logic to remain consistent with the use of Normally Open or Normally Closed relay contacts.

Alarm Text: No default entry. A 36 character alarm description can be entered for each output. The alarm text can be used to describe an alarm condition that has occurred and provide instructions for corrective action. The description will be displayed within alarm messages created by this output. The detailed alarm message allows untrained personnel to intelligently monitor your building automation system.

ON/OFF Labels: No Default Entry. The ON and OFF labels can be used to enhance the monitoring capabilities of the software. The ON label will be displayed instead of the word ON when the output has been commanded ON. The OFF label will be displayed instead of the word OFF when the output has been commanded OFF.

The Output Name, Device Not in Use, Alarm text, On label and Off label are stored in the computer (database)These entries are used to enhance the monitoring capabilities of the software and are not stored or sent to the controllers.

Figure 3

In the window above you can edit the details of any of the Virtual Points on this node or any nodes on the network.

Name: User definable label field of the virtual point. Ex: Average of Zones 1-4

Units: User definable label field. 4 characters max. Not a necessary entry field. The information stored in this field is purely for notation. The information is only saved in the database and not sent to the network. Examples: KW, %RH, PSI.

Device Not in Use: Checking this box will eliminate the "Name" entry to be shown on that virtual point tab. Not a network parameter, a software selection only.

Alarm Text: No default entry. A 36 character alarm description can be entered for each virtual point. The alarm text can be used to describe an alarm condition that has occurred and provide instructions for corrective action. The description will be displayed within alarm messages created by this virtual point. The detailed alarm message allows untrained personnel to intelligently monitor your building automation system.

High/Low Labels: No default entry. The High and Low labels can be used to enhance the monitoring capabilities of the software. The High label will be displayed when the actual virtual point value is at or above the selected High value. The Low label will be displayed when the actual virtual point value is below the selected Low value. Between the High and Low values, the actual virtual point value will be displayed.


Configuring your COM ports

Configuring your COM ports

Before you connect to a network, you must set up your COM port to the correct parameters.

Click button-COM in the ICMS toolbar. The Port Setting window below will appear.

Select which COM port you would like to use to connect to your network. In this example we will use COM1.

In the window above, M20X has been selected to tell the software that we will be direct connecting to the network and that we will be using the "My New Network". Most IZAC networks communicate at 9600 baud, but can be configured to communicate at slower speeds like 1200 or 2400 baud. If you are unsure of what baud rate the network is communicating at, contact your dealer.

The M20X definition in the Device field is used for all direct connect modules from Solidyne including M202, M202A, M201, M200, M204, etc.

The Status field is not an editable field. It displays the current status of the COM port. In the example above, COM1 is "Ready" to communicate and no other programs are currently using the port. If "Busy" is displayed, some other program running is using the port. If you run into a "Busy" COM port, typically it is because software for a digital camera or a hand-held PDA such as a Palm Pilot are running and "looking" for the device on the specified port. Disabling this type of software will allow the status of the COM port to return to "Ready".

The Network field is used to specify which network you would like to connect to with the selected COM port.

NOTE: The ICMS software can communicate to multiple networks on multiple COM ports simultaneously. For example, the above setting has the network "My New Network" selected to connect via COM1. If you choose, you can select a different network to connect to COM2 and have both networks communicating to the ICMS software via different COM ports.

Modem Connections

Before a COM port can be used for remote connection using a modem, the software must "Scan for Modems". To scan for modems, click Configure->General and select the "Communications" Tab.

You will see that the software is reporting "No TAPI modems found" because we have not scanned for modems yet.

Click "Scan for Modems"

You will see above that the scan for modems process has found a modem on "COM0". All new modems found within the scan for modems process will be shown using COM0. This COM0 must be changed to the correct COM port of the modem. In this example, the Intel 537EP modem is on COM 3.

After the COM0 has been changed to the correct COM port of the modem, click "OK". Click button-COM to return to the port settings window and select COM3 (or whichever COM port the modem is using).

In the window above, we have defined that we will be using COM3 for a modem connection. COM3 is now ready to connect to any remote network.

The "Auto-Answer" and "As" selections are used for alarming. Please refer to the Alarming chapter for more information.

TCP/IP Connections

If you are using an Ethernet to Serial converter or any other such method that requires the serial signals to the network to be routed over a TCP/IP network, select the TCP/IP Device. Selecting this method will relax some internal RS-485 timing so that the network latency can be overcome.


Loading Networks

Loading Networks

Loading a network is required before connecting to a network.

To load a network click button-open network in the ICMS toolbar. The window below will appear.

Next select the network that you would like to load and click "OK".

In the Events window above you should see that your network has been opened.

You are now ready to connect. For instructions on how to connect view "Connecting and Disconnecting from Networks"


Connecting and Disconnecting from Networks

Connecting to and Disconnecting from Networks

After you have loaded a network and configured your COM Port, Click the connect button button-connect in the ICMS toolbar.

This window is used to confirm which network you would like to connect to. After you have selected the network, Click "OK".

To disconnect, Click button-disconnect in the ICMS toolbar.


Overview of Exchanging Data to a Network

Overview of Exchanging Data to a network

Transmitting and Receiving Data (Programs, sensor details, output details etc.) is all handled in one area of the ICMS software.

Once you have ICMS running and On-Line with the network, click button-SET . This will open the window below.

The Online Network View window is where you will be doing a lot of sending and retrieving of network details such as programming of input details or attributes.

The Green dots next to the nodes is an indication that the controller is online and responding to the software. If you are online with the network and some of the nodes do not have a green dot next to them, those nodes are either not on the network or there is something wrong with them.

By Right-Clicking on the any of the nodes you will see that you get a selection for Retrieve and Update. See below.

figure 1

figure 2

The two graphics above (figures 1 & 2) show the operation of retrieving/updating to every node in the network (figure 1) or to an individual node (figure 2) in the network. The ICMS software gives you the ability to do whichever you would like to do.

The function of the Retrieve is similar to "downloading" information FROM the network. The Update function is similar to an "upload" of information TO the network.


Retrieving Data from a Network

Retrieving Data from a Network

Before reading this section please view the Overview if you haven't already. Think of Retrieving as downloading information from a network similar to downloading or receiving an email.

Below is a graphic of exactly what the Retrieve and the Retrieve All functions will receive. Remember to Right-Click on the node that you would like to Retrieve information from.

figure 1

figure 2

All Node Properties: This will retrieve everything listed below it. For example, in figure 1, every node in the network will be completely retrieved since you have selected the "Retrieve All" selection. In figure 2, only the node that you have selected to be retrieved will be retrieved.

Programs: Only the control programs for the node(s) will be retrieved using this selection.

Runtime Action Tables: Runtime Action Table parameters will be retrieved using this selection.

Date/Time: This selection will just display the received date and time from the first node on the network.

Subtype: This function is not yet enabled...see future release.

Password: This will receive the password on the system but most likely you will just see <*****> in the message details, because the option for retrieving passwords from Solidyne systems is only available to Solidyne Technical Support.

Access Code: This is the Access Code for the DU-1 display unit. Retrieving this selection will show you the locked or unlocked state.

Alarm Phone and Id: This is the stored network information for dial out alarms for network identification.

Daylight Savings Time: This will retrieve the Daylight Savings Time dates from the network

Holiday Table: This will retrieve holiday information stored in the network.

Input Attributes: This will retrieve Input attributes such as input type, peak setting, offset, multiplier, and averaging period.

Virtual Attributes: This will retrieve Virtual attributes such as the Virtual labels.

Output and Override Attributes: Output parameters such as Power On to Memory Lost Delay, Sequential Output Switching Delay, Power On state, Memory Lost State, Energized Polarity and Override Duration will be retrieved with this selection.

PWM and Misc. Attributes: This will retrieve the output type (digital or 0-10v), Cancelable Override, Alarm Dial-Out Attempts and M930 option.

Minimum On/Off Times: The minimum on and off time for digital outputs will be retrieved with this selection.

NOTE: When retrieving network information, your information for the corresponding retrieve will be deleted/overwritten by the retrieve. For example, if you retrieve Daylight Savings Time from a specific node, you will (by default) overwrite your existing Daylight Savings Time parameters for that node in your database unless you check the "View Only" checkbox in the retrieval window as shown below. This will only display the results in the "Results" box without overwriting the data in your database.

Retrieve Daylight Savings


Updating Data to a Network

Updating Data to a Network

Before reading this section please view the Overview if you haven't already. Think of Updating as sending (uploading) information to a network.

Below is a graphic of exactly what the Update and the Update All functions will Update. Remember to Right-Click on the node that you would like to Update information to.

figure 1

figure 2

All Node Properties: This will update everything listed below it. For example, in figure 1, every node in the network will be completely updated since you have selected the "Update All" selection. In figure 2, only the node that you have selected to be updated will be updated.

Programs: Only the control programs for the node(s) will be updated using this selection.

Runtime Action Tables: Runtime Action Table parameters will be updated using this selection.

Date/Time: This selection will open a new window shown in figure 3. Updating Date/Time on the network is like setting the clock on your computer. This is the network time and date and it is critical that this be checked and updated often. When updating network time and date, you have 3 choices or methods to choose from.

1. Network - This will synchronize the networks date and time to the first node's date and time setting.

2. Computer - This will set the date and time of the network to your computers date and time.

3. User - Enter any date and time that you desire. This is useful when you are testing programs.

figure 3

Subtype: This function is not yet enabled...see future release.

Password: This is the update of the password on the system. Widely unused, if you do not use passwords on your system, do not select this item.

Access Code: This is the Access Code for the DU-1 display unit. It can be locked and unlocked from the ICMS software.

Alarm Phone and Id: This is the stored network information for dial out alarms for network identification.

Daylight Savings Time: This will update the Daylight Savings Time dates if you are in a Daylight Savings Time Zone.

Holiday Table: This will update predefined Holiday dates and parameters.

Input Attributes: This will update Input attributes such as input type, peak setting, offset, multiplier, and averaging period.

Virtual Attributes: This will retrieve Virtual attributes such as the Virtual labels.

Output and Override Attributes: Output parameters such as Power On to Memory Lost Delay, Sequential Output Switching Delay, Power On state, Memory Lost State, Energized Polarity and Override Duration will be updated with this selection.

PWM and Misc. Attributes: This will update the output type (digital or 0-10v), Cancelable Override, Alarm Dial-Out Attempts and M930 option.

Minimum On/Off Times: The minimum on and off time for digital outputs will be updated with this selection.

Firmware Programs: This selection allows you to update/flash the internal operating system of the M2 control line. See Updating M2 Firmware section for more information.


Status Table Overview

Status Table Overview

A Status Table is a way for a user to view temperatures and network values on an Excel Spreadsheet type view. The following steps will show you how to Create, Save and Open Status Tables.

To create a Status Table you do not need to be online with a network, although you must have a network loaded or opened.

Once you have a Network loaded, Click File->New->Status Table or Click button-new status table .

figure 1

A window similar to the one in figure 1 will appear. The pop-up menu in figure 2 will show when you Right-Click on a Device cell.

figure 2

When "Edit..." is selected, you will have the ability to enter a device name and value in the selected cell using the window shown in figure 3.

figure 3

Once you have defined the specific device to display on the Status Table, Click "OK"and the value will be displayed in the Status Table Cell. Once the device has been defined into the cell, the value of the device will update once you are online with the network.

Duplicate the above procedures to put more devices into cells. Once you have the Status Table the way that you would like, Click File->Save As and you will be saving the Status Table with a .stv file extension.

Once you have the .stv file saved, you can open it at anytime in the future by selecting

File->Open->Status Table or by Clicking button-open status table in the ICMS toolbar.

Logging to File

Log file

Each device that is defined into a Status Table cell can be logged while the status table is open and online with the network. Selecting "Log to File" will record every value change into a .log file located in the specified path. All log files are formatted the following way (Network Name-Node Name-Device Name-Point Type.log). In the example in figure 3, the file name that will be created for the log file will be "My New NetworkNode1Input1Average.log" as shown on the left.

Log File Notepad

figure 4

As you can see in the small sample file in figure 4, the Day of Week, Month, Day, Year, Time and Value are all logged and are in a comma delimited file for use with any databasing or spreadsheet program.


Status Picture Overview

Status Picture Overview

A Status Picture is a way for a user to view temperatures and network values on a prespecified graphic. The following steps will show you how to Create, Save and Open Status Pictures.

To create a Status Picture you do not need to be online with a network, although you must have a network loaded or opened.

Once you have a Network loaded, Click File->New->Status Picture or Click button-new status pic in the ICMS toolbar.

A window will appear with a gray background. When this window opens Click Edit->Picture and select the graphic you would like to use in the Status Picture (see figure 1).

figure 1

Any graphic or image that is selected will used as a canvas or underlying graphic. The underlying images that can be used are Bitmaps, ICO files, Enhanced Metafiles and Windows Metafiles. Most often Bitmaps are used from digital cameras.

Once you select the graphic, you can Right-Click anywhere on the picture and a pop-up menu will appear as shown in figure 2.

figure 2

If "New Status..." is selected you will be able to insert a device value to the graphic through the window in figure 3.

figure 3

Once you have defined the specific device to display on the Status Picture, Click "Ok" and the value will be displayed on the Status Picture as shown in figure 4. The value of the device can be clicked and dragged anywhere on the graphic.

figure 4

If "New Text..." is selected you will be able to insert text where ever you want on the graphic. Once you have entered the text into the picture, as shown in figure 5, you can Click and drag the text anywhere you would like on the picture.

figure 5

If "New Area..." is selected, the window in figure 6 will appear for you to select the status of any Area you would like.

Window New Area

figure 6

After selecting the Area to display, click "Ok" and the status of the area will be displayed in the status picture. Like the Status and Text displays, the Area display can be clicked and dragged anywhere you like. Figure 7 shows the Area 1 status which is shown as 70/74;Day (Heating Target/Cooling Target;Area State).

figure 7

Duplicate the above procedures to put statuses, text and areas onto the Status Pictures. Once you have the Status Picture the way that you would like, Click File->Save As and you will be saving the Status Picture with a .stp file extension.

Once you have the .stp file saved, you can open it at anytime in the future by selecting

File->Open->Status Picture or by Clicking button-open status pic in the ICMS toolbar.

Logging to File

Log file

Each device that is defined into a Status Picture can be logged while the status picture is open and online with the network. Selecting "Log to File" (see figure 3) will record every value change into a .log file located in the specified path. All log files are formatted the following way (Network Name-Node Name-Device Name-Point Type.log). In the example in figure 3, the file name that will be created for the log file will be "My New NetworkNode1Input1Average.log" as shown on the left.

Log File Notepad

figure 8

As you can see in the small sample file in figure 8, the Day of Week, Month, Day, Year, Time and Value are all logged and are in a comma delimited file for use with any databasing or spreadsheet program.


Advanced Status Picture Features

Advanced Status Picture Features

Besides viewing statuses of Inputs, Outputs, Virtual points and Areas on the status pictures, there are also advanced methods of displaying these statuses with different types of "Dynamic Graphic Control Elements". The status pictures are also used to (re)set target temperatures of Areas, change zone temperature setpoints, override Inputs and set the value of % Outputs (PWM) and Virtual points.

After a point is plotted onto the status picture, Right-clicking on it will display a menu as shown in figures 1, 2 & 3.

Status Pic Right Click

figure 1 (Input Menu)

figure 2 (Output Menu)

figure 3 (Virtual Menu)

Figure 1 shows the menu that will appear when an input is right-clicked.

Figure 2 shows the menu that will appear when an output is right-clicked.

Figure 3 shows the menu that will appear when a virtual point is right clicked.

There are 6 common selections in the right-click menu of all three point types:

Edit...

Delete

Font...

Display Format

Set Value...

Anchor Position

Edit...

Selecting Edit... will reopen the Define Status window as shown in figure 4 and described in the Status Picture Overview.

Window Plot Point

figure 4

Delete

Selecting Delete will remove the point from the status picture.

Font...

Selecting Font... opens the window shown in figure 5 for changing your font preferences such as point size, bold, italic, etc.

figure 5

Display Format

Selecting Display Format will add any 1 of the 8 Dynamic Graphic Control Elements to the Input, Output of Virtual Point.

Menu Display Type

figure 6

There are 5 elements that are "read-only", meaning they will allow you to view the device values in a graphical format instead of a text format. These 5 are Numeric Seven Segment, Thermometer, Linear Gauge, Angular Gauge and Round Led shown in figure 7.

5 Dynamic Controls

figure 7

There are 3 additional elements that not only read the point value, but they can also alter the point value. These 3 are Switch Led, Slider and Switch Slider and shown in figure 8.

3 Dynamic Controls

figure 8

All 3 of these elements must be "Anchored" before you can use them (see Anchor Position in this chapter). It is also important to note that these elements will not "automatically" set or override certain programming functions. These elements alter point values as variables in the controller's control program which should be done by a factory trained Solidyne Dealer.

The Slider can be used on Virtual Points and % Outputs (PWM) to give the user the ability to change setpoints or target temperatures. While online, the user only has to click and drag the slider up or down to set the new target temperature.

The Switch Slider works almost identical as the Slider with only a couple of differences. As you can see from figure 8, the Switch Slider and Slider look very similar, but the Switch Slider is more of a "mode selector" than a setpoint or target temperature selector. The Switch Slider is most often used with Virtual Points, but can also be used with % Outputs. The example in figure 8 show a 3 position slider (or switch), where the user can select the speed between Low, Medium and High. When a Switch Slider is associated to a Virtual Point or % Output, it will automatically use a 0-100 scale. 0 being the low value and 100 being the high. It will scale the other points in between as follows. In the example, moving the slider to Low will set the value of the Virtual Point to 0. Selecting Medium will set the Virtual Point value to 50, and Selecting High will set the Virtual Point to 100. There is no limitation to the amount of "switches" that you can have on a Switch Slider.

The Switch Led is used on Outputs and Virtual points. When used on an output, the user can click on the Switch Led and manually toggle on or off the output, if it is not being controlled by the control program. If it is being used on a Virtual Point, when the user clicks the Switch Led, the Virtual Point value will switch between 0 and 1. 0 when the switch is off and 1 when the switch is on. This is particularly beneficial for overriding zones or going into "test" procedures.

Once you have a Dynamic Graphic Control Element added to the status picture, you can edit the properties of the element by Right-Clicking on it and selecting "Edit..." as shown in figure 9. You also have the ability to "Resize..." the control through the menu shown in figure 9.

Menu Edit Control

figure 9

Set Value

Selecting Set Value... will open a small window for you to enter a new value for the device. Typically, this is done to Virtual Points and % Outputs. It is not done to Inputs because they will internally refresh their input values 8 times per second.

Window Set Valeu

Anchor Position

Selecting Anchor Position will "freeze" the value or text onto the status picture so that accidentally movements are avoided. If you need to move a value, text or area value around, just uncheck "Anchor Position" and then move the value around where you desire. When a status picture is saved and closed, when it is reopened, all values on the status picture will be anchored by default.

Setting Target Temperatures

In Status Picture Overview, adding an Area status was described. When an Area status is added to the status picture, the user has the ability to right-click on the Area and "Set Area Targets..." as shown in figure 10.

Menu Set Targets Window Set Area Temps

figure 10

The resetting of Area Target Temperatures is a non-permanent change to the target temperature for that specific Day, Night or Event mode. For example, the example in figure 10 shows that the heating target is 70 and the cooling target is 74 and the Area is in a Day mode. By selecting "Set Area Targets..." a window appears for the user to change the current target temperatures for this specific Day period to 68 heating and 72 cooling. Tomorrow (or the next Day mode) the target temperatures will revert to the 70 heating and 74 cooling.

Overriding Inputs

Menu Input Override

figure 11

Overriding Inputs is also an available function through the status pictures. By Right-clicking on an input and selecting "Override Trigger / Cancel..." will open a small window to either trigger or cancel an override.

Output Toggling

Output toggling is a method of turning on and off digital outputs. The Output Toggle command is a very, very low priority command issued to an output. If there is no program or override controlling the output, then an Output Toggle selection will work. You can command on an output with Turn On, or you can command off an output with Turn Off. Flip is used when you are unsure of the energized polarity setting for the output and would just like to change it's state.


Numeric Seven Segment

Numeric Seven Segment

Menu Numeric Seven Segment

Numeric Seven Segment 1

Seven Segment General

Auto Segment Off Color

Determines whether the color of the off (Inactive) segments are calculated automatically.

Auto Size

Determines whether the size of the control automatically resizes to accommodate the size and number of digits.

BackGround Color

Specifies the background color of the control.

Border Style

Determines the outer border style of the control.

ibsNone = No border

ibsRaised = The outer border is raised

ibsLowered = The outer border is lowered

Digit Count

Specifies the number of display digits.

Digit Spacing

Specifies spacing between display digits.

Leading Style

Determines the type of fill characters to use for justification of values.

ilsNone = Value is left justified.

ilsZeros = Value is Right Justified with leading 0's.

ilsSpaces = Value is Right Justified with leading spaces.

Precision

Determines the amount of numbers to the right of the decimal.

Segment Color

Specifies the active color of display segments.

Segment Off Color

Specifies the off (Inactive) segment color when Auto Segment Off Color is unchecked.

Segment Margin

Specifies the Top-Left margin of the digits relative to the control.

Segment Separation

Specifies the margin between each digit segment.

Segment Size

Specifies the size of each segment.

Show Off Segments

Specifies whether inactive segments are shown.

Show Sign

Specifies whether the Sign digit is shown.

Transparent

Specifies whether the background behind the control shows through.

NOTE: Transparent controls are not compatible and are not available in version 3.0.

Value

Specifies the current value represented by the control.


Thermometer

Thermometer

General

BackGround Color

Specifies the background color of the control.

Border Style

Determines the outer border style of the control.

ibsNone = No border

ibsRaised = The outer border is raised

ibsLowered = The outer border is lowered

Current Max

Represents the highest value during the controls session.

Current Min

Represents the highest value during the controls session.

Ends Margin

Specifies the margin at the ends of the control.

Offset

X = Specifies the X-Offset of the drawing within the control.

Y = Specifies the Y-Offset of the drawing within the control.

Orientation

Specifies whether the control is horizontal or vertical.

ioVertical = Vertical with the Min at the bottom and the Max at the top.

ioHorizontal = Horizontal with the Min at the left and the Max at the right.

Orientation Tick Marks

Specifies which side of the control Tick Marks are drawn.

iosBottomRight = Tick marks are on the bottom or right of the control, depending of the value of Orientation (vertical or horizontal).

iosTopLeft = Tick marks are on the top or left of the control, depending of the value of Orientation (vertical or horizontal).

Position

Specifies the current position represented by the control.

Position Max

Specifies the maximum display position of the control. (ex. 100)

Position Min

Specifies the minimum display position of the control. (ex. 0)

Precision Style

Specifies how the Precision property is interpreted when formatting major tick labels.

ipsSignificantDigits = Precision property specifies the number of significant digits. This would be the total number of digits that will be used for a major tick label.

ipsFixedDecimalPoints = Precision property specifies the number of digits to the right of the decimal point.

Transparent

Specifies whether the background behind the control shows through.

NOTE: Transparent controls are not compatible and are not available in version 3.0.

Indicator/Min&Max

Window Thermomter Indicator

Indicator

Indicator properties control parameters of the thermometers bulb and level bar. BackGround Color

Specifies the indicator background color.

Bulb Size

Specifies the indicator bulb size.

Color

Specifies the indicator color.

Style

Specifies the Indicator style.

itisBulb = Flat Bar with a rounded top and a Bulb at the bottom.

itisBar = Flat Bar.

itisBarSunken = Flat Bar with Sunken Border.

itisBarRaised = Flat Bar with Raised Border.

Width

Specifies the indicator width.

Min&Max Pointers

Fixed

Specifies whether the MinMax pointers are fixed or track the value.

Margin

Specifies the Min Pointer and Max Pointer margin from the position indicator or scale.

Max Color

Specifies the color of the Max Pointer indicator.

Max Show

Specifies whether the Max Pointer is shown.

Min Color

Specifies the color of the Min Pointer indicator.

Min Show

Specifies whether the Min Pointer is shown.

Size

Specifies the Min Pointer and Max Pointer size.

User Can Move

Determines whether the user can move the Min and Max pointers with the mouse.

Ticks

Window Thermomter Ticks

Labels

Labels are the numbers next to Major Ticks. (ex. 100, 75, 50, 25 and 0)

Font

Controls the attributes of Tick Labels displayed in the control.

Margin

Specifies the margin between the Tick Labels and Major Ticks.

Precision

Specifies the precision of the Tick Labels.

Show

Specifies whether Tick Labels are shown.

Major

Major Ticks are typically longer in length than Minor Ticks and they also typically have numeric labels next to them.

Color

Specifies the color of the Major Ticks.

Count

Specifies the number of Major Ticks shown.

Length

Specifies the length of the Major Ticks shown.

Show

Specifies whether Major Ticks are shown.

Show First & Last

Specifies whether the first and last Major Ticks are shown.

Style

Determines the Major Ticks bevel style.

ibsNone = No border.

ibsRaised = The outer border is raised.

ibsLowered = The outer border is lowered.

Margin

Specifies the margin between the Tick Labels and Major Ticks.

Minor

Minor Ticks are typically shorter in length than Major Ticks and they do not have numeric labels next to them.

Alignment

Determines the Minor Ticks alignment relative to the Major Ticks.

Color

Specifies the color of the Minor Ticks.

Count

Specifies the number of Minor Ticks shown.

Length

Specifies the length of the Minor Ticks shown.

Show

Specifies whether Minor Ticks are shown.

Style

Determines the Minor Ticks bevel style.

ibsNone = No border.

ibsRaised = The outer border is raised.

ibsLowered = The outer border is lowered.

Auto Scale

Window Thermomter Auto Scale

Desired Ticks

Specifies the desired amount of Major Ticks when Auto Scale is enabled.

Enabled

Determines whether the Min Position & Max Position and/or the amount of Major Ticks is automatically adjusted to display the scale in a more human readable form.

Max Ticks

Specifies the maximum amount of Major Ticks when AutoScale is enabled.

Style

Specifies the style for adjusting the Min Position & Max Position when AutoScale is enabled.

iassAutoMinMax = Min Position & Max Position are adjusted so that the scale starts and stops on a Major Tick.

iassFixedMinMax = Min Position & Max Position remain fixed and the scale may not start or stop on a Major Ticks.


Linear Gauge

Linear Gauge

Menu Linear Guage

General

Window Linear General

BackGround Color

Specifies the background color of the control.

Border Style

Determines the outer border style of the control.

ibsNone = No border

ibsRaised = The outer border is raised

ibsLowered = The outer border is lowered

Current Max

Represents the highest value during the controls session.

Current Min

Represents the highest value during the controls session.

Ends Margin

Specifies the margin at the ends of the control.

Orientation

Specifies whether the control is horizontal or vertical.

ioVertical = Vertical with the Min at the bottom and the Max at the top.

ioHorizontal = Horizontal with the Min at the left and the Max at the right.

Orientation Tick Marks

Specifies which side of the control Tick Marks are drawn.

iosBottomRight = Tick marks are on the bottom or right of the control, depending of the value of Orientation (vertical or horizontal).

iosTopLeft = Tick marks are on the top or left of the control, depending of the value of Orientation (vertical or horizontal).

Position

Specifies the current position represented by the control.

Position Max

Specifies the maximum display position of the control. (ex. 100)

Position Min

Specifies the minimum display position of the control. (ex. 0)

Precision Style

Specifies how the Precision property is interpreted when formatting major tick labels.

ipsSignificantDigits = Precision property specifies the number of significant digits. This would be the total number of digits that will be used for a major tick label.

ipsFixedDecimalPoints = Precision property specifies the number of digits to the right of the decimal point.

Reverse Scale

Specifies whether the scale is drawn reverse.

Transparent

Specifies whether the background behind the control shows through.

NOTE: Transparent controls are not compatible and are not available in version 3.0.

Pointers

Window Linear Pointers

Pointer

Color

Specifies the pointer color.

Offset

Specifies the offset between the Pointer and the Ticks Axis.

Size

Specifies the size of the pointer.

Style

Specifies the pointer style.

ilgpsPointer = Triangle with a box and side lengths equal to Pointer Size.

ilgpsTriangle = Triangle only and side lengths equal to Pointer Size.

ilgpsTLine = Line running from Min to Max with a perpendicular line length of PointerSize

Min&Max Pointers

Fixed

Specifies whether the MinMax pointers are fixed or track the value.

Margin

Specifies the Min Pointer and Max Pointer margin from the position indicator or scale.

Max Color

Specifies the color of the Max Pointer indicator.

Max Show

Specifies whether the Max Pointer is shown.

Min Color

Specifies the color of the Min Pointer indicator.

Min Show

Specifies whether the Min Pointer is shown.

Size

Specifies the Min Pointer and Max Pointer size.

User Can Move

Determines whether the user can move the Min and Max pointers with the mouse.

Ticks

Window Linear Ticks

Labels

Labels are the numbers next to Major Ticks. (ex. 100, 75, 50, 25 and 0)

Font

Controls the attributes of Tick Labels displayed in the control.

Margin

Specifies the margin between the Tick Labels and Major Ticks.

Precision

Specifies the precision of the Tick Labels.

Show

Specifies whether Tick Labels are shown.

Major

Major Ticks are typically longer in length than Minor Ticks and they also typically have numeric labels next to them.

Color

Specifies the color of the Major Ticks.

Count

Specifies the number of Major Ticks shown.

Length

Specifies the length of the Major Ticks shown.

Show

Specifies whether Major Ticks are shown.

Show First & Last

Specifies whether the first and last Major Ticks are shown.

Style

Determines the Major Ticks bevel style.

ibsNone = No border.

ibsRaised = The outer border is raised.

ibsLowered = The outer border is lowered.

Margin

Specifies the margin between the Tick Labels and Major Ticks.

Minor

Minor Ticks are typically shorter in length than Major Ticks and they do not have numeric labels next to them.

Alignment

Determines the Minor Ticks alignment relative to the Major Ticks.

itmnaInside = Aligned to the edge of the Major Ticks towards the pointer.

itmnaCenter = Aligned center to the Major Ticks.

itmnaOutside = Aligned to the edge of the TicksMajor away from the pointer.

Color

Specifies the color of the Minor Ticks.

Count

Specifies the number of Minor Ticks shown.

Length

Specifies the length of the Minor Ticks shown.

Show

Specifies whether Minor Ticks are shown.

Style

Determines the Minor Ticks bevel style.

ibsNone = No border.

ibsRaised = The outer border is raised.

ibsLowered = The outer border is lowered.

Show Ticks Axis

Specifies whether the Ticks Axis is shown.

Sections

Window Linear Sections

Color 1

Specifies the color of Section1.

Color 2

Specifies the color of Section2.

Color 3

Specifies the color of Section3.

Color 4

Specifies the color of Section4.

Color 5

Specifies the color of Section5.

Count

Specifies the number of color sections.

End 1

Specifies the end value for Section1.

End 2

Specifies the end value for Section2.

End 3

Specifies the end value for Section3.

End 4

Specifies the end value for Section4.

Auto Scale

Window Linear Auto Scale

Desired Ticks

Specifies the desired amount of Major Ticks when Auto Scale is enabled.

Enabled

Determines whether the Min Position & Max Position and/or the amount of Major Ticks is automatically adjusted to display the scale in a more human readable form.

Max Ticks

Specifies the maximum amount of Major Ticks when AutoScale is enabled.

Style

Specifies the style for adjusting the Min Position & Max Position when AutoScale is enabled.

iassAutoMinMax = Min Position & Max Position are adjusted so that the scale starts and stops on a Major Tick.

iassFixedMinMax = Min Position & Max Position remain fixed and the scale may not start or stop on a Major Ticks.


Angular Gauge

Angular Gauge

General

Window Angular General

Auto Center

Specifies whether the gauge is automatically centered in the control based on the scale arc.

Arc

Radius

Specifies the radius of the arc scale.

Range Degrees

Specifies the number of degrees the arc is drawn.

Start Degrees

Specifies the starting point at which the arc is drawn clockwise.

BackGround Color

Specifies the background color of the control.

Border Style

Determines the outer border style of the control.

ibsNone = No border

ibsRaised = The outer border is raised

ibsLowered = The outer border is lowered

Current Max

Represents the highest value during the controls session.

Current Min

Represents the highest value during the controls session.

Hub

Color

Specifies the color of the hub.

Show

Specifies whether the Hub is shown.

Size

Specifies the size of the Hub.

Offset

X = Specifies the X-Offset of the drawing within the control.

Y = Specifies the Y-Offset of the drawing within the control.

Position

Specifies the current position represented by the control.

Position Max

Specifies the maximum display position of the control. (ex. 100)

Position Min

Specifies the minimum display position of the control. (ex. 0)

Precision Style

Specifies how the Precision property is interpreted when formatting major tick labels.

ipsSignificantDigits = Precision property specifies the number of significant digits. This would be the total number of digits that will be used for a major tick label.

ipsFixedDecimalPoints = Precision property specifies the number of digits to the right of the decimal point.

Reverse Scale

Specifies whether the scale is drawn reverse.

Show Inner Arc Radius

Specifies whether the Inner Arc Radius is shown.

Show Outer Arc Radius

Specifies whether the Outer Arc Radius is shown.

Transparent

Specifies whether the background behind the control shows through.

NOTE: Transparent controls are not compatible and are not available in version 3.0.

Pointers

Window Angular Pointers

Pointer

Color

Specifies the pointer color.

Margin

Specifies the margin between the pointer and the scale.

Size

Specifies the size of the pointer.

Style

Specifies the pointer style.

iagpsArrowLine = Thin line starting at the arc center point to the scale with an arrow at the end.

iagpsArrow = Arrow only at the scale.

iagpsLine = Thin line only from the arc center point to the Scale.

iagpsTriangle = Triangle from the arc center point to the Scale.

Min&Max Pointers

Fixed

Specifies whether the MinMax pointers are fixed or track the value.

Margin

Specifies the Min Pointer and Max Pointer margin from the position indicator or scale.

Max Color

Specifies the color of the Max Pointer indicator.

Max Show

Specifies whether the Max Pointer is shown.

Min Color

Specifies the color of the Min Pointer indicator.

Min Show

Specifies whether the Min Pointer is shown.

Size

Specifies the Min Pointer and Max Pointer size.

Style

Specifies the Min and Max Pointer Style.

iagpsArrowLine = Thin line starting at the arc center point to the scale with an arrow at the end.

iagpsArrow = Arrow only at the scale.

iagpsLine = Thin line only from the arc center point to the Scale.

iagpsTriangle = Triangle from the arc center point to the Scale.

User Can Move

Determines whether the user can move the Min and Max pointers with the mouse.

Ticks

Window Angular Ticks

Labels

Labels are the numbers next to Major Ticks. (ex. 100, 75, 50, 25 and 0)

Font

Controls the attributes of Tick Labels displayed in the control.

Margin

Specifies the margin between the Tick Labels and Major Ticks.

Precision

Specifies the precision of the Tick Labels.

Show

Specifies whether Tick Labels are shown.

Major

Major Ticks are typically longer in length than Minor Ticks and they also typically have numeric labels next to them.

Color

Specifies the color of the Major Ticks.

Count

Specifies the number of Major Ticks shown.

Length

Specifies the length of the Major Ticks shown.

Show

Specifies whether Major Ticks are shown.

Margin

Specifies the margin between the Tick Labels and Major Ticks.

Minor

Minor Ticks are typically shorter in length than Major Ticks and they do not have numeric labels next to them.

Alignment

Determines the Minor Ticks alignment relative to the Major Ticks.

itmnaInside = Aligned to the edge of the Major Ticks towards the pointer.

itmnaCenter = Aligned center to the Major Ticks.}

itmnaOutside = Aligned to the edge of the TicksMajor away from the pointer.

Color

Specifies the color of the Minor Ticks.

Count

Specifies the number of Minor Ticks shown.

Length

Specifies the length of the Minor Ticks shown.

Show

Specifies whether Minor Ticks are shown.

Sections

Window Angular Sections

Color 1

Specifies the color of Section1.

Color 2

Specifies the color of Section2.

Color 3

Specifies the color of Section3.

Color 4

Specifies the color of Section4.

Color 5

Specifies the color of Section5.

Count

Specifies the number of color sections.

End 1

Specifies the end value for Section1.

End 2

Specifies the end value for Section2.

End 3

Specifies the end value for Section3.

End 4

Specifies the end value for Section4.

Labels

Window Angular Lables

Label 1

Align Horizontal

Controls the horizontal alignment of Label1.

iahCenter = Label1 is centered horizontally relative to the arc center.

iahLeft = Label1 is left-justified in the control: Begins at the left edge of the control.

iahRight = Label1 is right-justified in the control: Ends at the right edge of the control.

Align Vertical

Controls the vertical alignment of Label1.

iavCenter = Label1 is centered vertically relative to the arc center.

iavTop = Label1 is top-justified in the control: Begins at the top edge of the control.

iavBottom = Label1 is bottom-justified in the control: Ends at the bottom edge of the control.

Font

Controls the font attributes of Label1.

Offset X

Specifies the amount of horizontal shifting when drawing Label1.

Offset Y

Specifies the amount of vertical shifting when drawing Label1.

Show

Specifies whether Label1 is shown.

Text

Specifies Label1 display text.

Label 2

Align Horizontal

Controls the horizontal alignment of Label2.

iahCenter = Label2 is centered horizontally relative to the arc center.

iahLeft = Label2 is left-justified in the control: Begins at the left edge of the control.

iahRight = Label2 is right-justified in the control: Ends at the right edge of the control.

Align Vertica

Controls the vertical alignment of Label2.

iavCenter = Label2 is centered vertically relative to the arc center.

iavTop = Label2 is top-justified in the control: Begins at the top edge of the control.

iavBottom = Label2 is bottom-justified in the control: Ends at the bottom edge of the control.

Font

Controls the font attributes of Label2.

Offset X

Specifies the amount of horizontal shifting when drawing Label2.

Offset Y

Specifies the amount of vertical shifting when drawing Label2.

Show

Specifies whether Label2 is shown.

Text

Specifies Label2 display text.

Auto Scale

Window Angular Auto Scale

Desired Ticks

Specifies the desired amount of Major Ticks when Auto Scale is enabled.

Enabled

Determines whether the Min Position & Max Position and/or the amount of Major Ticks is automatically adjusted to display the scale in a more human readable form.

Max Ticks

Specifies the maximum amount of Major Ticks when AutoScale is enabled.

Style

Specifies the style for adjusting the Min Position & Max Position when AutoScale is enabled.

iassAutoMinMax = Min Position & Max Position are adjusted so that the scale starts and stops on a Major Tick.

iassFixedMinMax = Min Position & Max Position remain fixed and the scale may not start or stop on a Major Ticks.


Round LED

Round LED

Menu Round LED

Window Round LED

Active

Indicates whether the LED is Active (on).

Active Color

Specifies the active color of the LED.

Auto Inactive Color

Determines whether the color of the indicator when inactive (off) is calculated automatically.

BackGround Color

Specifies the background color of the control.

Bevel Style

Determines the outer border style of the control.

ibsNone = No border

ibsRaised = The outer border is raised

ibsLowered = The outer border is lowered

Inactive Color

Specifies the Inactive (off) color of the indicator when Auto Inactive Color is unchecked.

Show Reflection

Specifies whether the 3D reflection is shown in the upper-left corner of the indicator.

Transparent

Specifies whether the background behind the control shows through.

NOTE: Transparent controls are not compatible and are not available in version 3.0.


Switch LED

Switch LED

Menu Switch LED

Window Switch LED

Active

Indicates whether the switch is Active (on).

Active Color

Specifies the active color of the switch.

Auto LED Size

Determines whether the height or width is automatically calculated depending on the IndicatorAlignment.

Caption

Alignment

Specifies the alignment of the caption relative to the indicator.

Font

Controls the font attributes of the caption.

Margin

Specifies the margin between the LED indicator and the border of the switch.

Text

Specifies the display text next to the LED.

Enabled

Determines if the control enabled or disabled. Switch LED's should not be disabled.

Indicator

Alignment

Specifies the alignment of the LED indicator within the switch.

Height

Specifies the height of the LED indicator.

Margin

Specifies the margin between the LED indicator and the border of the switch.

Width

Specifies the width of the LED indicator.

Show Focus Rectangle

Specifies whether to show the Focus Rectangle when the control has keyboard focus.


Slider

Slider

General

Window Slider General

BackGround Color

Specifies the background color of the control.

Current Max

Represents the highest value during the controls session.

Current Min

Represents the highest value during the controls session.

Enabled

Determines if the control enabled or disabled. Slider's should not be disabled.

Ends Margin

Specifies the margin at the ends of the control.

Key Step Size

Key Step Size is not used in version 3.0.

Orientation

Specifies whether the control is horizontal or vertical.

ioVertical = Vertical with the Min at the bottom and the Max at the top.

ioHorizontal = Horizontal with the Min at the left and the Max at the right.

Orientation Tick Marks

Specifies which side of the control Tick Marks are drawn.

iosBottomRight = Tick marks are on the bottom or right of the control, depending of the value of Orientation (vertical or horizontal).

iosTopLeft = Tick marks are on the top or left of the control, depending of the value of Orientation (vertical or horizontal).

Position

Specifies the current position represented by the control.

Position Max

Specifies the maximum display position of the control. (ex. 100)

Position Min

Specifies the minimum display position of the control. (ex. 0)

Precision Style

Specifies how the Precision property is interpreted when formatting major tick labels.

ipsSignificantDigits = Precision property specifies the number of significant digits. This would be the total number of digits that will be used for a major tick label.

ipsFixedDecimalPoints = Precision property specifies the number of digits to the right of the decimal point.

Mouse Control Style

The Mouse Control Style is not used in version 3.0. The mouse control style should be left in the ismcsSlideOnly mode.

MinMax Fixed

Specifies whether the MinMax pointers are fixed or track the range of the Position property.

Show Focus Rectangle

Specifies whether to show the Focus Rectangle when the control has keyboard focus.

Reverse Scale

Specifies whether the scale is drawn reverse.

Transparent

Specifies whether the background behind the control shows through.

NOTE: Transparent controls are not compatible and are not available in version 3.0.

Pointer/Track

Window Slider Pointer

Pointer

Active Color

Specifies the color of the indicator when active.

Height

Specifies the height of the pointer.

Inactive Color

Specifies the color of the indicator when inactive.

Style

ispsLed = 3D rectangular LED.

ispsPointer = Standard 3D pointer.

ispsBar = Standard 3D bar.

ispsLightBar = Standard 3D bar with a thin light indicator.

Width

Specifies the width of the pointer.

Track

Color

Specifies the color of the track.

Style

istsBox = 3D sunken rectangle.

istsLine = 3D lowered beveled line using TrackColor.

istsBevelLowered = 3D lowered beveled line using standard Windows colors.

istsBevelRasied = 3D raised beveled line using standard Windows colors.

Ticks

Window Slider Ticks

Labels

Labels are the numbers next to Major Ticks. (ex. 100, 75, 50, 25 and 0)

Font

Controls the attributes of Tick Labels displayed in the control.

Margin

Specifies the margin between the Tick Labels and Major Ticks.

Precision

Specifies the precision of the Tick Labels.

Show

Specifies whether Tick Labels are shown.

Major

Major Ticks are typically longer in length than Minor Ticks and they also typically have numeric labels next to them.

Color

Specifies the color of the Major Ticks.

Count

Specifies the number of Major Ticks shown.

Length

Specifies the length of the Major Ticks shown.

Show

Specifies whether Major Ticks are shown.

Style

Determines the Major Ticks bevel style.

ibsNone = No border.

ibsRaised = The outer border is raised.

ibsLowered = The outer border is lowered.

Margin

Specifies the margin between the Tick Labels and Major Ticks.

Minor

Minor Ticks are typically shorter in length than Major Ticks and they do not have numeric labels next to them.

Alignment

Determines the Minor Ticks alignment relative to the Major Ticks.

Color

Specifies the color of the Minor Ticks.

Count

Specifies the number of Minor Ticks shown.

Length

Specifies the length of the Minor Ticks shown.

Show

Specifies whether Minor Ticks are shown.

Style

Determines the Minor Ticks bevel style.

ibsNone = No border.

ibsRaised = The outer border is raised.

ibsLowered = The outer border is lowered.

Auto Scale

Window Slider Auto

Desired Ticks

Specifies the desired amount of Major Ticks when Auto Scale is enabled.

Enabled

Determines whether the Min Position & Max Position and/or the amount of Major Ticks is automatically adjusted to display the scale in a more human readable form.

Max Ticks

Specifies the maximum amount of Major Ticks when AutoScale is enabled.

Style

Specifies the style for adjusting the Min Position & Max Position when AutoScale is enabled.

iassAutoMinMax = Min Position & Max Position are adjusted so that the scale starts and stops on a Major Tick.

iassFixedMinMax = Min Position & Max Position remain fixed and the scale may not start or stop on a Major Ticks.


Switch Slider

Switch Slider

Menu Switch Slider

General

Window Switch Slider General

BackGround Color

Specifies the background color of the control.

Enabled

Determines if the control enabled or disabled. Slider's should not be disabled.

Ends Margin

Specifies the margin at the ends of the control.

Key Step Size

Key Step Size is not used in version 3.0.

Orientation

Specifies whether the control is horizontal or vertical.

ioVertical = Vertical with the Min at the bottom and the Max at the top.

ioHorizontal = Horizontal with the Min at the left and the Max at the right.

Orientation Labels

Specifies which side of the control Labels are drawn.

iosBottomRight = Labels are on the bottom or right of the control, depending of the value of Orientation (vertical or horizontal).

iosTopLeft = Labels are on the top or left of the control, depending of the value of Orientation (vertical or horizontal).

Position

Specifies the current position represented by the control.

Show Focus Rectangle

Specifies whether to show the Focus Rectangle when the control has keyboard focus.

Transparent

Specifies whether the background behind the control shows through.

NOTE: Transparent controls are not compatible and are not available in version 3.0.

Labels/Indicators

Window Switch Slider Labels

Position Labels

Labels to be used on the switch slider. The first label in the list will be ordered on the bottom of the slider and the last label will be ordered at the top.

Active Font

Controls the attributes of the active position label display in the control.

Inactive Font

Controls the attributes of the inactive position label(s) display in the control.

Margin

Specifies the position indicator margin from the end of the pointer.

Show

Specifies whether the Position Labels are shown.

Position Indicator

Bevel Style

Determines the outer bevel style of the position indicator.

ibsNone = No border.

ibsRaised = The outer border is raised.

ibsLowered = The outer border is lowered.

Color

Specifies the color of the position indicator.

Margin

Specifies the position indicator margin from the end of the pointer.

Show

Specifies whether the Position Indicator is shown.

Size

Specifies the position indicator size.

Style

Specifies the position indicator style.

issisDot = Circle

issisLine = Line

Pointer/Track

Window Switch Slider Point

Pointer

Active Color

Specifies the color of the indicator when active.

Height

Specifies the height of the pointer.

Inactive Color

Specifies the color of the indicator when inactive.

Style

ispsLed = 3D rectangular LED.

ispsPointer = Standard 3D pointer.

ispsBar = Standard 3D bar.

ispsLightBar = Standard 3D bar with a thin light indicator.

Width

Specifies the width of the pointer.

Track

Color

Specifies the color of the track.

Style

istsBox = 3D sunken rectangle.

istsLine = 3D lowered beveled line using TrackColor.

istsBevelLowered = 3D lowered beveled line using standard Windows colors.

istsBevelRasied = 3D raised beveled line using standard Windows colors.


Defining Groups for Areas

Defining Groups for Areas

Groups are used in scheduling to organize Areas. They are used for no other reason than organization.

To Start, Click button-run config in the ICMS toolbar. Click Configuration->Areas.

The window below will appear. Select the Network that you would like to work with from the drop down menu. This example will be using "My New Network".

If you are starting a brand new network using ICMS, you most likely will not have a group defined like the one in the graphic. You must create a Group in order to define Schedules.

To create a Group, Click Area->Add Group and enter a name for the Group. After you have a group specified, view Defining Areas for Schedules.


Defining Areas for Schedules

Please review Defining Groups for Areas before reviewing this Chapter.

Areas are used for users to change operating hours and target temperatures for any and as many Areas in the system or building.

After creating a new Group, you can then add a new Area by Right-Clicking on the Group that you would like to add an area to, and select "Add Area" as shown in figure 1.

figure 1

figure 2

When adding an area, the "Add Area Details" window shown in figure 3 appears. You will need to enter an Area name, which group you would like the area to be organized into, the priority of the Area (typically left at 0) and the Cooling and Heating Targets for Day, Night and Event.

Figure 3

After entering the required information in the "Add Area Details" window, click "OK" and you will have successfully created an Area as shown in figure 2. You are now ready to Define Schedules.


Defining Schedules

Defining Schedules

Please review Defining Groups for Areas and Defining Areas for Schedules before reviewing this Chapter.

Schedules are used to configure Start and End times for Areas and also to change or set Target temperatures for the Area in which they reside. Schedules determine how an Area operates.

After creating a new Area, you can then add a Schedule by Right-Clicking on the Area that you would like to add a schedule to, and selecting "Add Schedule" as shown in figure 1.

figure 1

figure 2

Figure 2 shows how Schedules are configured. This is the heart of the Scheduling feature, you must enter a schedule name, begin date, end date, begin time and end time.

The Begin Date and Begin Time tell the Area when it should take on the parameters defined in the schedule. The End Date and End Time tell the Area when it should discontinue taking on the parameters defined in the schedule. Basically, the Begin Date and End Date define the Schedules validity, if the current date is outside any schedules Begin and End Date, then the Area will disregard the instructions or parameters within that schedule.

Every Schedule holds Target temperature information which can be changed at any time. Target temperatures are intended to change to maintain comfort in certain Areas. The specific Target temperatures are described below.

Day Cooling - Target value used by cooling relative programs during daytime hours.

Day Heating - Target value used by heating relative programs during daytime hours.

Night Cooling - Target value used by cooling relative programs during night time hours.

Night Heating - Target value used by heating relative programs during night time hours.

Event Cooling - Target value used by cooling relative programs during events.

Event Heating - Target value used by heating relative programs during events.

The example in figure 2 shows that we want the Area 1 to start Daytime hours at 8:00am on Monday-Friday and end Daytime hours at 5:00pm on Monday-Friday. As you can see, Daytime hours start with a "State" configuration of "Day" and end with a configuration of "Night". You always start "Day" with Day and end Day with "Night".

On Saturday, at 10:00am, we will start an "Event". This event may be used for a staff meeting on Saturday or maybe a corporate lunch...who knows. Since we want our event to start at 10:00am and end at 1:00pm, we define an event to start at 10:00am on Saturday, and we will end the event with defining "Night" at 1:00pm on Saturday.

Once you have completed creating schedules, they need to be sent to the network. Please review the section on Rescheduling.


Rescheduling

Rescheduling

After you have finished creating schedules, you need to reschedule the system. Rescheduling is required anytime you change a schedule in an area. You must be connected to the system in order to accomplish the rescheduling procedures.

To reschedule an Area, click button-SET in the ICMS toolbar. A window similar to the one below will appear.

In this example, by Right-Clicking on Area 1, we get a pop-up menu with a Reschedule selection. When Reschedule is selected, the window below will appear.

When rescheduling, you have the option to reset the network date and time. This is always recommended, although, if you would not like to reset the date and time of the network, then you can select "Do Not Set Time".

1. Network - This will synchronize the networks date and time to the first node's date and time setting.

2. Computer - This will set the date and time of the network to your computers date and time.

3. User - Enter any date and time that you desire. This is useful when you are testing programs.

4. DO NOT SET TIME - Will not set date or time on the system.

When you are ready to Reschedule the system, click Reschedule.

After you have rescheduled and the system has been running for some time, you can check the status of the area by selecting "Retrieve" as shown below.

window area retrieve

You also have the option of resetting the target temperatures for any area.

window area set

By selecting "Set", a small pop-up window will appear called "Set Area Targets". You can enter new cooling and heating targets for the selected area. This is a temporary change and the area will revert to the original cooling and heating targets on the next change of state. For example, in the example above, we are changing the cooling and heating targets for Area 1 while it is in a "Day" mode. For the remainder of this "Day" period, our cooling target will be 72 and the heating target will be 66. Tomorrow, the system will revert back to its original target temperatures for "Day".

If there are multiple personnel using the system and rescheduling the system, you may want to perform a "Get Schedules". This will receive all of the current schedules for any selected area from the system.


Retrieving Logged Data from the System

Retrieving Logged Data from the System

Once you are online with a network Click button-open datalogs in the ICMS tool bar. A screen similar the one below will appear.

Window Logged Data

The menu on the right-hand side is accessed by Right-Clicking on any input, output or virtual point. The following is a description of the function of each selection:

Load: will load all previously saved logged data.

Receive Qtr-Hr (Peak): will request the 48 hour/quarter-hour (Peak) data from the selected device from the controller.

Clear: will clear the received quarter-hour data.

Save: will save the retrieved quarter-hour data in a file specified by the Data File Path.

It is also possible to receive the peak data from a specific point on a controller. The two graphics below show how to change from quarter-hour data retrieval to peak data retrieval.

Peak Not Selected

By clicking on the column heading you will see the peak button change to peak- button meaning that peak data will be retrieved and not quarter-hour. You will also see a change in the menu that appears by Right-Clicking the desired device (see below).

Window Logged Data Peak

Once you have retrieved the logged data from the system, you can choose to either Save the data or Graph the data.


Displaying Retrieved Logged Data

Displaying Retrieved Logged Data

After you have retrieved logged data from the system, you can Right-Click on any of the devices in the logged data window and select Graph...

Window Logged Data Graph2

figure 1

Figure 1 shows a sample graph of input 1. Solidyne controllers log every input, output and virtual point on 15 minuted increments, for 48 hours. The controller will also log peak data on a highest or lowest peak value per day for 35 days.

There is also another way to Graph the devices once you have Retrieved the Logged data from the controllers. The AutoGraph function comes in handy if you want to view the data immediately after it has been retrieved.

To access the AutoGraph function, click Edit->AutoGraph in the ICMS toolbar and select AutoGraph (shown below). When AutoGraph is selected, the ICMS software will immediately produce a graph after logged data has been retrieved from a particular device.


Saving Retrieved Logged Data

Saving Retrieved Logged Data

After you have retrieved logged data from the system, there are two ways to Save this data.

Window Logged Data Save

The first method is done by Right-Clicking on any of the devices in the logged data window and selecting "Save". This procedure will save the data to the specified directory defined by the Data File Path in the network details for later use.

The second method of saving logged data is using the "AutoSave" function. To enable AutoSaving, select Edit->AutoSave.

With AutoSave checked, every time you retrieve logged data from the system, it will save that data to the Data File Path.


Customizing the Logged Data Graph

Customizing the Logged Data Graph

If you do not know how to create a Logged Data graph please view Displaying Retrieved Logged Data.

Once you have graphed your points, you may Right-Click anywhere on the graph, and you will get a pop-up menu which you can use to customize you graph. See Below.

Window Graph Menu

figure 1

The menu in figure 1 is used to customize the logged data graph's properties.

You can also change the color of the graphed point by clicking on the device name as shown below. (Note the position of the mouse pointer in the graphic below. That is where you need to click to access the color change window.)

Window Graph Color


Exporting/Printing the Logged Data Graph

Exporting/Printing the Logged Data Graph

If you do not know how to create a Logged Data graph please view Displaying Retrieved Logged Data.

There are many formats of exporting the logged data for a particular device that is displayed in the Logged Data Graph. The graph itself is printable from the same interface.

To export or print the graph, Right-click anywhere on the graph and select Export Dialog as shown in figure 1.

Window Graph Export

figure 1

Window Graph Export window

figure 2

When "Export Dialog" is selected, figure 2 is the window that will appear. As you can see from the dialog box in figure 2, the graph can be sent to the clipboard as a Metafile, Bitmap or Text.

It can also be saved to a file on your machine for future use.

Or it can be printed to any printer installed on you machine or computer network

The "Object Size" is used for saving your graphs as images.

If you choose to export the data as Text/Data, a window (figure 3) will appear when you click the "Export" button to give you the ability to define how you would like the data exported.

Window Graph Export Detail

figure 3

After you have selected the parameters for exporting the data, click the "Export" button, and the data will be exported to a predefined file or the clipboard for use in programs like Microsoft Excel.


MultiGraphing

MultiGraphing

What the heck is MultiGraphing? MultiGraphing is a process that allows the user to view two or more points onto the same graph for diagnosis or other reasons.

Please review Retrieving Logged Data from the Controllers before reading this section.

When the Logged Data window is opened, you will notice a new Menu item appears:

Menu Multigraph New

figure 1

Select Multigraph->New and Right-Click on any input, output, or virtual and you will get a pop-up window with a selection "Toggle Multigraph" as shown in figure 2.

Window Toggle Multi

figure 2

When "Toggle Multigraph" is selected, you will notice that the device has been marked to be multigraphed with an "M" as shown in figure 3. Repeat this process on any inputs, outputs or virtual points that you would like to be displayed onto the same graph.

M for Multi

figure 3

Once you have an "M" next to all of the devices (inputs, outputs, virtuals) that you would like to graph, select Multigraph->Graph as shown in figure 4.

Window Multi Graph

figure 4

Once you have MultiGraphed the selected devices you may want to customize the way the graph looks. View Customizing the Logged Data Graph for those procedures.

If you have a group of devices that you regularly Multigraph, you may also Save the Multigraph and Open it any time you like for graphing. To save the multigraph, click MultiGraph->Save and you will be saving the file as a .mgs and if you would like to open the multigraph after saving it, click MultiGraph->Open and select and file ending with .mgs.


Viewing Generated Alarm Messages

Viewing Generated Alarm Messages

When an alarm is received by the ICMS software, it will log the alarm into an AlarmLog.RTF file in the default directory of the software.

This file can be opened in any word processing software.

When there is an Alarm generated by a controller on the network*, the alarm details will not only be logged to the AlarmLog.RTF file, but it will also display the alarm immediately on the screen for you as shown in figure 1.

figure 1

*Alarms are generated by the control program written by the company which installed the Solidyne controllers. All alarms will not necessarily be displayed.


Alarm Message Files

Alarm Message Files

*Alarm Message Files are used to display a pre-configured file to be displayed on the screen when an alarm is received. This can be any file on your computer. The only requirement is that you have software to support that file type.

For example, if you wanted to open a Microsoft Word .doc file that has a lot of information on it about who to call, the phone numbers to call (Pager, Cell phone, Office), maybe even a list of things for you to check pertaining to that particular alarm...this is the process to get this done.

The Alarm Message Files are accessed by clicking CONFIG BUTTON in the ICMS toolbar and selecting Configuration->Alarm Message Files.

Window Alarm Message Files

figure 1

The window shown in figure 1 is used to Add, Edit or Delete the Alarm Message File descriptions. The window shown in figure 2 shows you how to configure the Alarm Message File to open whatever document you would like.

Add Alarm Message file

figure 2

The first thing that must be done is to specify the Alarm Code. This code MUST start with the XF identifier. After the XF there must be 4 numbers. Choose whichever numbers you like but there must be 4. In the example in figure 2, we chose XF1000 as our Alarm Code.

After you have defined the Alarm Code, you can then select which file to open. In this example we are going to open a Word Document titled "Alarm Document.doc" located in My documents. The alarm file can be located anywhere on your computer, even a shared network drive.

After the Alarm Message File has been created, it will be listed in the Alarm Message Files window as shown in figure 3.

Alarm Message file

figure 3

In order to use the Alarm Message File that we just created, you must create an Alarm Dial Out program line that will trigger the opening of the Alarm Document.doc.

Alarm Dial out Alarm message

figure 4

Figure 4 shows a completed Alarm Dial Out program line that will successfully trigger an alarm with the XF1000 code. The XF codes are always entered into the "Text" field. Obviously, you are not limited to only using Input 1; Alarm Dial Out program lines can monitor and input or output for use in triggering basic alarms, or any Alarm Message File.

In the example in figure 4, when Input 1 reaches a value of 95 or above, this program line will trigger an alarm to the computer with the text code of XF1000. The ICMS software will see the XF1000 code and open the corresponding file specified for that code, in this example, it would be our "Alarm Document.doc" file.

NOTE: In order to receive alarm messages of any kind, you must have your com port set to its phone number as shown in figure 5.

port settings 1234567

figure 5

In figure 4, you can see that the "Dial" field holds the phone number (PC number) 1234567. In figure 5, you can see that com port COM2 is entered as phone number (PC number 1234567.

This is a method of alarm routing. If my com port COM2 was set as number 7654321, I would not receive the alarm message. Although,if there was another computer connected to the system with one of its com ports set as 1234567, it would receive the alarm.

For computers that are directly connected to the system, they can have generic numbers like 1234567, but if you are receiving alarms from multiple networks via you modem, you will need to enter the exact phone number that is being used by the modem such as 15553331212. Point being, if you would like to receive an alarm message, the alarm dial out program line's Dial field number MUST match exactly with your com ports As field.

*Alarm Message Files rely solely on the control program in the controller. Alarms are generated by the control program written by the company which installed the Solidyne controllers. All alarms will not necessarily be displayed. Please call Solidyne Technical Support for information on how to write the programs necessary to create and Alarm Message File.


Overview of Software Security and Password Protection

Overview of Software Security and Password Protection.

The ICMS software utilizes this security feature to eliminate certain functions of the software from unauthorized users. The security feature enables the dealer to create users that have only certain functions of the software enabled for using specified User Names and Passwords. The following is a brief overview of the procedures of how to create user logins for the software.

When the ICMS software is first run, you will need to enter a User Name and Password. This User Name is "super" and the Password is "super". See graphic below.

This "super" User Name and Password is only valid the first time that the ICMS software is run. After the "super" User Name and Password is entered, you must change the User Name and Password. The "super" login is no longer valid and will not allow access again.

To create a new user on the software, click CONFIG BUTTON to startup the ICMS Network Information Manager Configuration program.

Configuration-Users and groups

Select Configuration->Users & Groups and the window below will appear.

Window Users and Groups

This window shows two things, a User List and User Groups. If you do not want to make logins a requirement of the software, you can check the checkbox in the bottom left hand corner of this window to Disable Login Requirements. This will eliminate the login screen shown above when you run the ICMS software.

Window User groups

When creating a new user, you must first create a group to assign the user to. The window above is the interface to manage these groups. In this example we already have created one called "EndUser". To create a new group, click "Add" and the window below will appear.

Window group name and access

You must first enter a Group Name in the field shown by the arrow.

Once you have named the Group, you then can decide which functions of the software you will "Allow" and "Deny" access for the Group. Once you have decided which functions will be accessed for the group, click "Save".

The next step will be to create a new user that will be dependent on the new group. To do this, click "Add" in the User List shown below.

Window Users and Groups

The window below will open to Add a new user.

Window Add user

In this window, you have to specify the users Last, First and Middle names; Login ID and Password. We are going to attach John J. Doe to the "EndUser" group. When John J. Doe logs on with the User Name (Login ID) of John, he will only have access to the functions that have been specified by the Group that he is attached to. Click "OK" to add the user to the User List.

NOTE: The login User Name and Passwords are NOT case sensitive.

As you can see, the User John J. Doe is now a part of the User list and he is marked as an Active User.

Window with John Doe

NOTE: Any user attached to the Administration Group has FULL access to ALL of the features and functions of the ICMS software.


Programming Overview

Programming Overview

This section is intended to provide details about individual program line types that are used by IZAC controllers. Programming techniques and strategies are covered in Solidyne Technical Training Seminars.

IZAC controllers are programmed using the "templates" or programming screens listed in this section. These templates form program lines or "blocks of logic" that work together interactively. Using a combination of these program lines provides the ability to build an operating program for simple On/Off control or very complex strategies. In general, to add a control function, add a program line. Many program lines contain multiple functions, but it is common to use two or more program lines to control the same output.

As an example:

Line 1 Turns On a fan based on time of day

Line 2 Controls a cooling relay

Line 3 Controls a heating relay

Line 4 Holds the cooling and heating relay Off unless the fan is On

In order to handle potentially conflicting instructions, IZAC controllers apply a few simple rules while running a program.

Once the list of program lines have been installed into an IZAC, the controller will read the entire list once per second from top to bottom (lowest number to highest) before taking any action. This characteristic allows "more important" items such as safeties or overrides to be given a higher priority when entered last (at bottom of the list)

The Priority of a given program line is also effected by other factors defined as:

- Refresh rate which can be set for Minutes or Seconds. If two program lines both control a given output, a program line set for Seconds located at the top of the list, will always have priority over another program refreshing in Minutes at the bottom of the list. In other words, program lines set for a refresh rate of "seconds" will always have priority over programs set for "minutes", regardless of their position in the list.

- Position of a program line determines its priority IF the other program lines have the same refresh rate.

- One Shot commands have no refresh rate. In effect, they simply turn the output On or Off once and then take no further action. Programs with minutes or seconds based refresh rates will always have priority over programs using one shot commands.

- Dead-band can also have an impact on a program's priority. For example, if a program line is defined to turn a relay On at 74 and Off at 70, the values between 74 and 70 are considered to be in dead-band. When the value is in dead-band the controller will take no action on the relay. This feature allows another program line to take over control if required.

Another general rule to consider is that when a program line goes inactive, it simply stops functioning. It does not turn the output On or Off. When a given program stops controlling an output, another program should take over. This will avoid leaving an output in an uncontrolled state.

For more information, please contact Solidyne about attending a Technical Training Seminar.

Accessing the Programming Editor

To Start, Click CONFIG BUTTON in the ICMS toolbar.

Click Editor->Program. The window is figure 1 will appear.

figure 1

When you are working with the program editor, please make sure that you have correctly selected the right Network in the "Network Selection" field and you are editing the correct node in the "Node Selection" field.

Adding Program Lines to the Editor

To Add a program line, right-click the last line of the program editor and select "Add". From the menu that slides out, select the type of program line to be used as shown in figure 2.

Window Select Program

figure 2

To Add another program line, click to highlight the location for the new line, right-click and select "Add".

Copying and Pasting Program Lines

To copy a program line, right-click the line to be copied (Shift+Click and Ctrl+Click may be used to select multiple lines) and select Copy or press Ctrl+C to copy to clipboard. See figure 3.

figure 3

To paste, click to highlight the location to paste the copied line(s), then right-click and select Paste or press Ctrl+V to insert. See figure 4.

figure 4

Opening Program Lines

To open an existing program line, just double-click on it or right-click on it and select Modify. See Figure 5.

figure 5

Deleting Program Lines

Click to highlight the desired program line to delete, then right-click to select Delete (Shift+Click and Ctrl+Click may be used to select multiple lines). See Figure 6.

figure 6

Changing the color of one or more program lines

Highlight the program lines to be effected (Shift+Click and Ctrl+Click may be used to select multiple lines), right-click on highlighted program lines and select the desired color. See Figure 7.

figure 7

Regenerating Programs for networks

In order to send a program to a controller correctly, you must first "Regenerate" the program for transmission. If you do not do this, the programs will not function correctly.

Once you have created the program for a network and you are ready to send it to the controllers, Click File->Regenerate Program for Network. See figure 8. Regenerating the Program for Network regenerates all programs for that network, meaning that you do not have to Regenerate every nodes program individually.

figure 8

Print Program Details

Click Program->Print Details

A complete detailed listing of all program lines will be sent directly to the printer.

Print Program Summary

Click Program->Print Summary

A summary listing (similar to the editor screen summary) will be sent directly to the printer.

Program Save As

Click Program->Save As then enter the new program description.

Rename Program

Click Program->Rename

The existing filename will be displayed, enter a new filename Click "OK".

Export Program

The Export function creates a csv (comma separated values) file containing the program data from the node(s) selected. This data can then be imported to another network. Input/Output data and labels are not exported during this process

Click Program->Export

figure 9

Select which nodes programs are to be exported

Select or browse to the path and filename for the new csv file

Click Export (figure 10)

figure 10

Import Program

The Import function allows transferring programs between network (project) files, using a csv file created with the Export function. Programs may be imported into one or modes at the same time.

- Click Program->Import

figure 11

On the left side of the window, select the path and filename for the file to be imported

On the right side of the window, select the Destination Network

Use the one of the "Map" buttons to select which node(s) the program data will be copied to and from.

In this example (figure 12), Node 1 named "Building 1A" is mapped to Node 2 named "AC2" in a project called Alisal High. Any existing program in Node 2 of the Alisal High network will be overwritten.

Import Program 2

figure 12

Click Import to complete the process

If the existing nodes(s) has already has a program, you will asked if it's OK to destroy the old program

Restoring Columns

If the program line editor columns get "out-of-whack" you can click the "Restore Columns" button on the bottom of the program editor window and they will snap back to their defaults.

Refreshing the Program

The program lines that are shown in the program editor may need to be refreshed if you have the program editor open while retrieving the program online. If when you attempt to open or modify a program line and an error occurs, click the "Refresh Program" button and try to open or modify the program line again.

Activating Days

Some networks may have been originally programmed using Solidyne's older DOS version of software which allow any program line to operate in a 24 x 7 mode when NONE of the Effect Days (Start Days) were checked. If a program from a controller (programmed with the DOS software) is retrieved using the ICMS software, you will need to click the "Activate Days" button to have the days automatically checked for you.


Alarm Dial Out

Alarm Dial Out

Alarm Dial Out programs are capable of sending messages to local and/or remote PC's and to pocket paging services via modem. Contact Solidyne for a special bulletin with detailed information about using numeric and alphanumeric paging services.

Program Alarm Dial Out

01

Network Name

02

Node Number

03

Node Name

04

Line Number in program editor

05

Area Selection

06

Program line's operational time settings

This program line has an "In Effect On" time of Monday through Friday at 8:00 AM and an "In Effect Until" time of Monday through Friday at 5:00 PM. This program line will only operate during the hours of 8:00 AM to 5:00 PM, Monday through Friday.

07

Active 24 x 7

This checkbox is just a time saver. It will select Sunday through Saturday in the "In Effect On" row of days and set the "In Effect At:" time to 12:00 AM. This is no different than if you were to just select the same settings manually.

08

Use LAN-wide - With this box unchecked, only the local (on the same node) devices are available for selection in field #11. Check this box to select an input or output on another node anywhere on the LAN. Checking this box also has the effect of making the selected device an "absolute" location when copying this program line to another node.

Examples: If Input 1-1 is selected with the LAN-wide box checked, and the program is copied from node 1 to node 2, the selected output will remain Input 1-1. If the same procedure is followed with the box unchecked, the copy in node will show Input 2-1.

09

Device Type - Provides a list of available types of input/output devices to be used.

Average - the average value of the sensor selected. Averaging period is adjustable in the sensor configuration section of the software. The default value is one minute.

Instantaneous - the instantaneous value of the selected sensor. Most often used with refresh rates of 1 second. (see below)

Output - the On/Off state of the selected output. On is reported as 1, Off is 0.

Output Override - Override status of the selected output. A value of 1 is reported when in override and 0 is reported when NOT in override. Override status is a totally separate function from the On/Off status.

PWM - Reads the value of an analog output. Values will always be between 0 and 100%.

Sensor Override - Override status of the selected Input. When an input is in an override condition a value of 1 will be reported. Otherwise a value of 0 is reported.

Virtual - Selects a Virtual Point. Virtual points require a setup program, see Virtual Point section in programming.

10

Device - Select the location of input or output device to be used in this program line. The available choices will depend on selections made in the previous 2 fields.

11

Trigger Alarm, Stop Alarm - Define the values required for the alarm application. Trigger and Stop values may have a very small or very large dead band as required.

12

Refresh Rate = 1 - This field is selectable for Minutes or Seconds, meaning that the controller will check the sensor values each second or each minute. Generally a minutes based alarm is preferred so as to avoid unnecessary false alarms caused by temporary fluctuations in sensor values.

13

Dial - Telephone number (optional) that the alarm will be delivered to. By default, the controller will attempt to contact a PC running Solidyne software at the phone number entered. However, alarms may also be routed to numeric and/or alphanumeric pocket pagers.

14

Text - Enter any text message to be delivered with the alarm.

15

Delivery attempts - Enter a value between 1 and 15 to specify how many times the system should retry delivery on "failed attempts". Busy signals and no dial tone are not considered delivery attempts in this context.

16

Delay - Duration between dial-out retries as long as the alarm condition still exists. Legal range is 0-255 minutes.

17

Destination - Designate how the alarm is to be delivered.

Options are:

LAN - Look for a PC or multiple PC's directly connected to the IZAC network that are running Solidyne software and have been designated as the alarm recipient.

Phone Only - Look for a modem residing on the IZAC network that can used to dial out to the specified phone number.

LAN/Phone - Look for potential alarm recipients in both places.

18

Control Output - Select which output(s) will be controlled by this program line. NOTE: Alarm programs CANNOT turn outputs off, only On. If outputs such as lights or buzzers are programmed to turn On, another program line must be written to reset the outputs when the alarm condition clears.

19

Comment - Not used in actual program operation.


Cycle Function - Output Cycle

Cycle Function - Output Cycle

Output Cycle program turns On/Off the selected output(s) in parallel for the specified time periods.

Program Output Cycle

01 | Network Name
02 | Node Number
03 | Node Name
04 | Line Number in program editor
05 | Program Selection - Select which program type you would like to use.
06 | Area Selection
07 | Program line's operational time settings This program line has an "In Effect On" time of Monday through Friday at 8:00 AM and an "In Effect Until" time of Monday through Friday at 9:00 PM. This program line will only operate during the hours of 8:00 AM to 9:00 PM, Monday through Friday.
08 | Active 24 x 7 This checkbox is just a time saver. It will select Sunday through Saturday in the "In Effect On" row of days and set the "In Effect At:" time to 12:00 AM. This is no different than if you were to just select the same settings manually.
09 | Control Outputs - Select which Output(s) are to be cycled.
10 | Comment - Not used in actual program operation.
11 | On for - Enter Time period to be On. Legal values are 1-127.
12 | Off for - Enter Time Period to be Off. Legal values are 1-127.
13 | Time Period = 1 - Select Minute or Second


Cycle Function - Staggered

Cycle Function - Staggered

Staggered Cycle program turns On/Off the selected output(s) in a rotating "staggered" fashion for the specified time periods. The controller calculates the stagger pattern based on the On/Off cycle time entered. This Cycle Period is divided by the number of outputs selected.

Example: If 5 outputs are selected for cycling 6 minutes On and 9 minutes Off, the Cycle Period is 15 minutes. 15/5 = 3 minute stagger period. The first output begins its 6 minute On period, then the 2nd output starts 3 minutes later, then the 3rd output starts its 6 minute run 3 minutes later, etc.

01 | Network Name
02 | Node Number
03 | Node Name
04 | Line Number in program editor
05 | Program Selection - Select which program type you would like to use.
06 | Area Selection
07 | Program line's operational time settings This program line has an "In Effect On" time of Monday through Friday at 8:00 AM and an "In Effect Until" time of Monday through Friday at 9:00 PM. This program line will only operate during the hours of 8:00 AM to 9:00 PM, Monday through Friday.
08 | Active 24 x 7 This checkbox is just a time saver. It will select Sunday through Saturday in the "In Effect On" row of days and set the "In Effect At:" time to 12:00 AM. This is no different than if you were to just select the same settings manually.
09 | Control Outputs - Select which Output(s) are to be cycled.
10 | Comment - Not used in actual program operation.
11 | On for - Enter Time period to be On. Legal values are 1-127.
12 | Off for - Enter Time Period to be Off. Legal values are 1-127.
13 | Time Period = 1 - Always in Minutes


Cycle Function - Variable Output

Cycle Function - Variable Output

Variable Staggered Cycle program turns On/Off the selected output(s) in parallel with variable time periods based on an input or output. High and low values are specified, then the controller calculates a linear "ramp" of variable On/Off cycle times.

Example:

- 5 outputs are selected for cycling. A demand sensor is selected to vary the time period.

- A High value of 500 is entered and a low value of 300 is entered.

- At High value, 2 On and 12 Off are selected.

- At Low value, 12 On and 2 Off are selected.

When the demand sensor reaches 500, the outputs will run at 14% duty cycle, i.e. 2 minutes out of 14. All 5 outputs will turn On/Off together.

When the sensor reaches 300, the outputs will run an 86% On cycle, i.e. 12 minutes out of 14. All 5 outputs will turn On/Off together.

Since the variable function is linear, when the sensor reaches 400, the controller will calculate 7 On and 7 Off. All 5 outputs will turn On/Off together.

Program Variable Output

01

Network Name

02

Node Number

03

Node Name

04

Line Number in program editor

05

Program Selection - Select which program type you would like to use.

06

Area Selection

07

Program line's operational time settings

This program line has an "In Effect On" time of Monday through Friday at 8:00 AM and an "In Effect Until" time of Monday through Friday at 9:00 PM. This program line will only operate during the hours of 8:00 AM to 9:00 PM, Monday through Friday.

08

Active 24 x 7

This checkbox is just a time saver. It will select Sunday through Saturday in the "In Effect On" row of days and set the "In Effect At:" time to 12:00 AM. This is no different than if you were to just select the same settings manually.

09

Control Outputs - Select which Output(s) are to be cycled.

10

Comment - Not used in actual program operation.

11

LAN-wide - With this box unchecked, only the local (on the same node) devices are available for selection in field #12. Check this box to select an output or override on another node anywhere on the LAN. Checking this box also has the effect of making the selected device an "absolute" location when copying this program line to another node.

Examples: If output 1-1 is selected with the LAN-wide box checked, and the program is copied from node 1 to node 2, the selected output will remain Output 1-1. If the same procedure is followed with the box unchecked, the copy in node will show Output 2-1.

12

Device Type - Provides a list of available types of input/output devices to be used to vary the cycle times.

Average - the average value of the sensor selected. Averaging period is adjustable in the sensor configuration section of the software. The default value is one minute.

Instantaneous - the instantaneous value of the selected sensor. Most often used with refresh rates of 1 second. (see below)

Output - the On/Off state of the selected output. On is reported as 1, Off is 0.

Output Override - Override status of the selected output. A value of 1 is reported when in override and 0 is reported when NOT in override. Override status is a totally separate function from the On/Off status.

PWM - Reads the value of an analog output. Values will always be between 0 and 100%.

Sensor Override - Override status of the selected Input. When an input is in an override condition a value of 1 will be reported. Otherwise a value of 0 is reported.

Virtual - Selects a Virtual Point. Virtual points require a setup program, see Virtual Point section in programming.

13

Continue Cycling &ldots; - Checking this box causes the controller to continue the present cycle rate when the sensor values climbs above or drops below the specified High/Low values. If unchecked, the controller will:

- Issue a "one shot" On command when the value drops below the specified Low value.

- Issue a "one shot" Off command to the outputs if the High value is exceeded.

14

Device Selection - Select the location of the input or output device to be used to vary the cycle times. Typically a demand meter or temperature sensor.

15

When Value High = Specify upper end of band for variable cycle times.

16

On For: - Specify number of minutes of On cycle when sensor value is at High limit.

17

Off For: - Specify number of minutes of Off cycle when sensor value is at High limit.

18

When Value Low = Specify lower end of band for variable cycle time.

19

On For: - Specify number of minutes of On cycle when sensor value is at Low limit.

20

Off For: - Specify number of minutes of Off cycle when sensor value is at Low limit.

21

Time Period = 1 - Select Minute or Second.


Cycle Function - Variable Staggered

Cycle Function - Variable Staggered

Variable Staggered Cycle program turns On/Off the selected output(s) in a rotating "staggered" fashion variable time periods based on an input or output. High and low values are specified, then the controller calculates a linear "ramp" of variable On/Off cycle times.

The controller calculates the stagger pattern based on the On/Off time calculated for the present condition. This Cycle Period is divided by the number of outputs selected.

Example:

- 5 outputs are selected for cycling. A demand sensor is selected to vary the time period.

- A High value of 500 is entered and a low value of 300 is entered.

- At High value, 2 On and 12 Off are selected.

- At Low value, 12 On and 2 Off are selected.

When the demand sensor reaches 500, the controller will calculate a 14/5 = 2 (remainders are dropped) A 2 minute stagger period will be applied to 5 outputs running at 14% duty cycle, i.e. 2 minutes out of 14.

When the sensor reaches 300, the controller still calculates the same 2 minute stagger period, but now the outputs are running an 86% On cycle, i.e. 12 minutes out of 14.

Since the variable function is linear, when the sensor reaches 400, the controller will calculate 7 minutes On and 7 Off.

Program Variable Staggered

01

Network Name

02

Node Number

03

Node Name

04

Line Number in program editor

05

Program Selection - Select which program type you would like to use.

06

Area Selection

07

Program line's operational time settings

This program line has an "In Effect On" time of Monday through Friday at 8:00 AM and an "In Effect Until" time of Monday through Friday at 9:00 PM. This program line will only operate during the hours of 8:00 AM to 9:00 PM, Monday through Friday.

08

Active 24 x 7

This checkbox is just a time saver. It will select Sunday through Saturday in the "In Effect On" row of days and set the "In Effect At:" time to 12:00 AM. This is no different than if you were to just select the same settings manually.

09

Control Outputs - Select which Output(s) are to be cycled.

10

Comment - Not used in actual program operation.

11

LAN-wide - With this box unchecked, only the local (on the same node) devices are available for selection in field #12. Check this box to select an output or override on another node anywhere on the LAN. Checking this box also has the effect of making the selected device an "absolute" location when copying this program line to another node.

Examples: If output 1-1 is selected with the LAN-wide box checked, and the program is copied from node 1 to node 2, the selected output will remain Output 1-1. If the same procedure is followed with the box unchecked, the copy in node will show Output 2-1.

12

Device Type - Provides a list of available types of input/output devices to be used to vary the cycle times.

Average - the average value of the sensor selected. Averaging period is adjustable in the sensor configuration section of the software. The default value is one minute.

Instantaneous - the instantaneous value of the selected sensor. Most often used with refresh rates of 1 second. (see below)

Output - the On/Off state of the selected output. On is reported as 1, Off is 0.

Output Override - Override status of the selected output. A value of 1 is reported when in override and 0 is reported when NOT in override. Override status is a totally separate function from the On/Off status.

PWM - Reads the value of an analog output. Values will always be between 0 and 100%.

Sensor Override - Override status of the selected Input. When an input is in an override condition a value of 1 will be reported. Otherwise a value of 0 is reported.

Virtual - Selects a Virtual Point. Virtual points require a setup program, see Virtual Point section in programming.

13

Continue Cycling &ldots; - Checking this box causes the controller to continue the present cycle rate when the sensor values climbs above or drops below the specified High/Low values. If unchecked, the controller will:

- Issue a "one shot" On command when the value drops below the specified Low value.

- Issue a "one shot" Off command to the outputs if the High value is exceeded.

14

Device Selection - Select the location of the input or output device to be used to vary the cycle times. Typically a demand meter or temperature sensor.

15

When Value High = Specify upper end of band for variable cycle times.

16

On For: - Specify number of minutes of On cycle when sensor value is at High limit.

17

Off For: - Specify number of minutes of Off cycle when sensor value is at High limit.

18

When Value Low = Specify lower end of band for variable cycle time.

19

On For: - Specify number of minutes of On cycle when sensor value is at Low limit.

20

Off For: - Specify number of minutes of Off cycle when sensor value is at Low limit.

21

Time Period = 1 - Always Minutes.


Digital Output Control - Standard Control

Digital Output Control - Standard Control

Digital Output control turns On/Off outputs based on the value of another input or output in a manner similar to the Multi-function Control program. However, in most cases the Multi-function Control program is preferred due to its additional capabilities.

Program Digital Output Standard

01

Network Name

02

Node Number

03

Node Name

04

Line Number in program editor

05

Program Selection - Select which program type you would like to use.

06

Area Selection

07

Program line's operational time settings

This program line has an "In Effect On" time of Tuesday and Wednesday at 8:00 AM and an "In Effect Until" time of Tuesday and Wednesday at 3:15 PM. This program line will only operate during the hours of 8:00 AM to 3:15 PM, Tuesday and Wednesday.

08

Active 24 x 7

This checkbox is just a time saver. It will select Sunday through Saturday in the "In Effect On" row of days and set the "In Effect At:" time to 12:00 AM. This is no different than if you were to just select the same settings manually.

09

Use LAN-wide - With this box unchecked, only the local (on the same node) devices are available for selection in field #11. Check this box to select an input or output on another node anywhere on the LAN. Checking this box also has the effect of making the selected device an "absolute" location when copying this program line to another node.

Examples: If Input 1-1 is selected with the LAN-wide box checked, and the program is copied from node 1 to node 2, the selected output will remain Input 1-1. If the same procedure is followed with the box unchecked, the copy in node will show Input 2-1.

10

Device Type - Provides a list of available types of input/output devices to be used.

Average - the average value of the sensor selected. Averaging period is adjustable in the sensor configuration section of the software. The default value is one minute.

Instantaneous - the instantaneous value of the selected sensor. Most often used with refresh rates of 1 second. (see below)

Output - the On/Off state of the selected output. On is reported as 1, Off is 0.

Output Override - Override status of the selected output. A value of 1 is reported when in override and 0 is reported when NOT in override. Override status is a totally separate function from the On/Off status.

PWM - Reads the value of an analog output. Values will always be between 0 and 100%.

Sensor Override - Override status of the selected Input. When an input is in an override condition a value of 1 will be reported. Otherwise a value of 0 is reported.

Virtual - Selects a Virtual Point. Virtual points require a setup program, see Virtual Point section in programming.

11

Device - Select the location of input or output device to be used in this program line. The available choices will depend on selections made in the previous 2 fields.

12

Control Output - Select which output(s) will be controlled by this program line. If more than one output is selected, and the refresh rate is set for Once per Second, all outputs will turn On or Off during the same second. If a refresh rate of Once per Minute is selected, outputs will sequence On or Off at the rate of one second per output. This sequential delay of 1 second is a default value and may be adjusted in the Modify Configuration menu.

13

Turn Outputs On/Off When Value = Specifies On and Off values for the output(s) being controlled. The mode of operation is "dead band".

In this example, between 9:00 AM and 3:15 PM, outputs 1 and 4 will turn On when the sensor value rises UP to 70.8 and will turn Off when the value drops to 70.3. Sensor values between 70.8 and 70.3 are in the dead band, and no action is taken by the controller. At 3:15 PM, the outputs will be turned Off.

14

Refresh Rate = 1 - This field is selectable for Minutes or Seconds, meaning that the controller will check the sensor values and refresh the output state each second or each minute.

15

Maximum Time On/Off - It extremely important to note that these are NOT Minimum On or Off times used to prevent short cycling. (That feature is available in the Output Configuration section) These fields specify special purpose functions that limit the maximum On or Off time - regardless of the sensor value.

In this example, if Maximum Off were selected with a value of 5 minutes, the outputs would turn On after a 5 minute Off cycle - regardless of the sensor value. If the sensor value is at or below 70.3, the output would turn Off one minute later, then back on after another 5 minutes, etc. If the user is comfortable with this concept, the Maximum On capability may be used as a form of electrical demand load limiting.

16

Comments - Not used in actual program operation.


Digital Output Control - Variable Control

Digital Output Control - Variable Control

Digital Output - Variable Control programs are used to control the On/Off status of outputs using two input devices. The Master is used to reset the control point of the Slave value. Commonly used for chiller/boiler reset and day/night setback strategies.

In this example, the Master could be an Outside Air Temperature and the Slave, a Hot Water Supply Temperature. These two sensors are used to control a boiler.

At 80 degrees or higher outside, the boiler will turn On when the hot water (slave) drops to 115 degrees and Off at 120

At 30 degrees outside or lower, the boiler will turn On when the hot water (slave) drops to 155 degrees and Off at 160.

Between the 80 and 30 degree outside air temperatures, the controller will automatically calculate continuously variable hot water reset temperatures based on a straight line. (i.e. at 55 degree outside air, the hot water set points will be On at 135 and Off at 140.

Program Digital Output variable

01

Network Name

02

Node Number

03

Node Name

04

Line Number in program editor

05

Program Selection - Select which program type you would like to use.

06

Area Selection

07

Program line's operational time settings

This program line has an "In Effect On" time of Monday through Friday at 8:00 AM and an "In Effect Until" time of Monday through Friday at 5:00 PM. This program line will only operate during the hours of 8:00 AM to 5:00 PM, Monday through Friday.

08

Active 24 x 7

This checkbox is just a time saver. It will select Sunday through Saturday in the "In Effect On" row of days and set the "In Effect At:" time to 12:00 AM. This is no different than if you were to just select the same settings manually.

09

Use LAN-wide - With this box unchecked, only the local (on the same node) devices are available for selection as Master . Check this box to select an input or output on another node anywhere on the LAN. Checking this box also has the effect of making the selected device an "absolute" location when copying this program line to another node.

Examples: If Input 1-1 is selected with the LAN-wide box checked, and the program is copied from node 1 to node 2, the selected output will remain Input 1-1. If the same procedure is followed with the box unchecked, the copy in node will show Input 2-1.

10

Identical to field #9, except that it applies to the Slave selection.

11

Device Type - Provides a list of available types of input/output devices available for use as Master. Device types are:

Average - the average value of the sensor selected. Averaging period is adjustable in the sensor configuration section of the software. The default value is one minute.

Instantaneous - the instantaneous value of the selected sensor. Most often used with refresh rates of 1 second. (see below)

Output - the On/Off state of the selected output. On is reported as 1, Off is 0.

Output Override - Override status of the selected output. A value of 1 is reported when in override and 0 is reported when NOT in override. Override status is a totally separate function from the On/Off status.

PWM - Reads the value of an analog output. Values will always be between 0 and 100%.

Sensor Override - Override status of the selected Input. When an input is in an override condition a value of 1 will be reported. Otherwise a value of 0 is reported.

Virtual - Selects a Virtual Point. Virtual points require a setup program, see Virtual Point section in programming.

12

Device Type - Identical to field #11 above, except that it applies to the Slave Selection.

13

Device - Select the location of the input or output to be used as Master.

14

Device - Select the location of the input or output to be used as Slave.

15

When Master Value High >= - Defines the upper end of the Master range for resetting the slave target. Value must be greater than or equal to the Master Low value.

16

Turn Outputs On When Slave Value = Specifies at what Slave value to turn On the outputs being controlled, when the Master is at or above the "High" value selected in field #15.

17

Turn Outputs Off When Slave Value = Specifies at what Slave value to turn Off the outputs being controlled, when the Master is at or above the "High" value selected in field #15.

18

When Master Value Low <= - Defines the lower end of the Master's range for resetting the slave target. Value must be less than or equal to the Master High value.

19

Turn Outputs On When Slave Value = Specifies at what Slave value to turn On the outputs being controlled, when the Master is at or below the "Low" value selected in field #18.

20

Turn Outputs Off When Slave Value = Specifies at what Slave value to turn Off the outputs being controlled, when the Master is at or below the "Low" value selected in field #18.

21

Time Period = 1 -This field is selectable for Minutes or Seconds, meaning that the controller will check the sensor values and refresh the output state each second or each minute.

22

Maximum Time On/Off - It extremely important to note that these are NOT Minimum On or Off times used to prevent short cycling. (That feature is available in the Output Configuration section) These fields specify special purpose functions that limit the maximum On or Off time - regardless of the sensor value.

In this example, if Maximum Off were selected with a value of 5 minutes, the outputs would turn On after a 5 minute Off cycle - regardless of the sensor value. If the sensor value is at or below 70.3, the output would turn Off one minute later, then back on after another 5 minutes, etc. If the user is comfortable with this concept, the Maximum On capability may be used as a form of electrical demand load limiting.

23

Control Output - Select which output(s) will be controlled by this program line. If more than one output is selected, and the refresh rate is set for Once per Second, all outputs will turn On or Off during the same second. If a refresh rate of Once per Minute is selected, outputs will sequence On or Off at the rate of one second per output. This sequential delay of 1 second is a default value and may be adjusted in the Modify Configuration menu.

24

Comments - Not used in actual program operation.


Function Enable

Function Enable

The Function Enable program acts as a "software switch" by alternately enabling and disabling the two program lines that immediate follow it. Program Function Enable

01

Network Name

02

Node Number

03

Node Name

04

Line Number in program editor

05

Area Selection

06

Active 24 x 7

This checkbox is just a time saver. It will select Sunday through Saturday in the "In Effect On" row of days and set the "In Effect At:" time to 12:00 AM. This is no different than if you were to just select the same settings manually.

07

Program line's operational time settings

This program line has an "In Effect On" time of Monday through Friday at 8:00 AM and an "In Effect Until" time of Monday through Friday at 5:00 PM. This program line will only operate during the hours of 8:00 AM to 5:00 PM, Monday through Friday.

08

Use LAN-wide - With this box unchecked, only the local (on the same node) devices are available for selection in field #11. Check this box to select an input or output on another node anywhere on the LAN. Checking this box also has the effect of making the selected device an "absolute" location when copying this program line to another node.

Examples: If Input 1-1 is selected with the LAN-wide box checked, and the program is copied from node 1 to node 2, the selected output will remain Input 1-1. If the same procedure is followed with the box unchecked, the copy in node will show Input 2-1.

09

Device Type - Provides a list of available types of input/output devices to be used to vary the cycle times.

Average - the average value of the sensor selected. Averaging period is adjustable in the sensor configuration section of the software. The default value is one minute.

Instantaneous - the instantaneous value of the selected sensor. Most often used with refresh rates of 1 second. (see below)

Output - the On/Off state of the selected output. On is reported as 1, Off is 0.

Output Override - Override status of the selected output. A value of 1 is reported when in override and 0 is reported when NOT in override. Override status is a totally separate function from the On/Off status.

PWM - Reads the value of an analog output. Values will always be between 0 and 100%.

Sensor Override - Override status of the selected Input. When an input is in an override condition a value of 1 will be reported. Otherwise a value of 0 is reported.

Virtual - Selects a Virtual Point. Virtual points require a setup program, see Virtual Point section in programming.

10

Device - Select the location of input or output device to be used in this program line. The available choices will depend on selections made in the previous 2 fields.

11

Go to next line when value is >= - Specifies the sensor value to toggle the next program line Enabled and the "second" next, Disabled. Must always be higher than the value in field #12.

12

Go to line after next when value id <= - Specifies the sensor value to toggle the next program line Disabled and the "second next" program line Enabled.

13

Refresh Rate = 1 - This field is selectable for Minutes or Seconds. With Minutes selected, the program will check the sensor value and toggle the following program lines if required. With seconds selected, the same procedure occurs every second. It is important to remember that when a program line is disabled, it immediately stops functioning. Any outputs being controlled by that program will simply be left in the state (On or Off) that they were in when the program became disabled.

14

Activating either succeeding program line inactivates the other. This reminder statement defines the operation of the Function Enable program.

15

Comment - Not used in actual program operation.


Multi Function Control

Multi Function Control

The multi-function program is probably the most often used program because of its universal nature and flexibility. Capabilities include digital output control with multiple "if & and" type functions with time delays. Block enabling of multiple program lines is also available on the same screen.

Program Multi function control

01

Network Name

02

Node Number

03

Node Name

04

Line Number in program editor

05

Area Selection

06

Program line's operational time settings

This program line has an "In Effect On" time of Saturday through Sunday (including Holidays) at 9:00 AM and an "In Effect Until" time of Saturday through Sunday (including Holidays) at 2:00 PM. This program line will only operate during the hours of 9:00 AM to 2:00 PM, Saturday through Sunday (including Holidays).

07

Active 24 x 7

This checkbox is just a time saver. It will select Sunday through Saturday in the "In Effect On" row of days and set the "In Effect At:" time to 12:00 AM. This is no different than if you were to just select the same settings manually.

08

Input/Output LAN-wide - With this box unchecked, only the local (on the same node) devices are available for selection in field #10. Check this box to select a device on another node anywhere on the LAN. Checking this box also has the effect of making the selected device an "absolute" location when copying this program line to another node.

09

Device Type - Provides a list of available types of input/output devices to be used in the program logic.

Average - the average value of the sensor selected. Averaging period is adjustable in the sensor configuration section of the software. The default value is one minute.

Instantaneous - the instantaneous value of the selected sensor. Most often used with refresh rates of 1 second. (see below)

Output - the On/Off state of the selected output. On is reported as 1, Off is 0.

Output Override - Override status of the selected output. A value of 1 is reported when in override and 0 is reported when NOT in override. Override status is a totally separate function from the On/Off status.

PWM - Reads the value of an analog output. Values will always be between 0 and 100%.

Sensor Override - Override status of the selected Input. When an input is in an override condition a value of 1 will be reported. Otherwise a value of 0 is reported.

Virtual - Selects a Virtual Point. Virtual points require a setup program, see Virtual Point section in programming.

10

Device - Select the type of input/output device to be used in this program line. The available choices will depend on selections made in the previous 2 fields.

11

Mode - Provides selection of three separate modes of operation.

Deadband - Condition is true at one value and false at another, with a deadband between the two points. When the value is in deadband, no action is taken on an output being controlled. In order for a condition to transition from true to false (or vice versa) the value must cross through the deadband to the opposite end.

Deadband Example, with True at 70 and False at 74, the sensor value must climb to 74 (or higher) before the condition becomes false. It must fall to 70 (or lower) to become true. In this example, as the value falls from 74 to 71, it remains false until it drops to 70.

In Band - Condition is true when the selected device is between the high and low values entered.

Out of Band - Condition is false when the selected device is between the high and low values entered.

12

False at (True between/False Between) - The title of this field (and the next) will change in accordance with the Mode selected above.

- Deadband Mode, enter a numeric value to define the false condition.

- In Band Mode, enter a numeric value to define one "end" of the band.

- Out of Band Mode, enter a numeric value to define one "end" of the band.

13

True at (True between/False Between) - The title of this field will change in accordance with the Mode selected above.

- Deadband Mode, enter a numeric value to define the false condition.

- In Band Mode, enter a numeric value to define one "end" of the band.

- Out of Band Mode, enter a numeric value to define one "end" of the band.

14

Output LAN-wide - With this box unchecked, only the local (on the same node) devices are available for selection in field #16. Check this box to select an output or override on another node anywhere on the LAN. Checking this box also has the effect of making the selected device an "absolute" location when copying this program line to another node.

Examples: If output 1-1 is selected with the LAN-wide box checked, and the program is copied from node 1 to node 2, the selected output will remain Output 1-1. If the same procedure is followed with the box unchecked, the copy in node will show Output 2-1.

15

Output or Override - This field allows the selection of Output, Output Override or Sensor Override to be included as a part of the true/false logic of the program line.

- Output - The present On/Off state of the selected output.

- Output Override - Yes/No is the selected output in an override condition?

- Sensor Override - Yes/No was the override initiated at the selected input?

16

Output or Override - Device selection box. If Output or Output Override is selected in field #15, the local node outputs are presented for selection. If Sensor Override is selected in field #15, the local node inputs are presented for selection.

17

Required State determines what state the Output or Override selected in field #16 must be in before the condition is considered True. If the selected output is NOT in the required state, the condition is considered false and causes the "if false" instructions to be carried out.

18

Delay True inserts a time delay between the time it "recognizes" the conditions have become true, and executing whatever functions are specified to be done when true. Allowable time values are 0-65,535. These time values may be either minutes or seconds as selected the Refresh Rate field number 27. Example: Entering a value of 60 with the Refresh Rate set for seconds, will cause the control function to wait 60 seconds before performing it's specified action when True.

19

When Inputs False determines what the delay timer should do if the condition becomes false during the "true condition" time delay period. The available choices are:

Retrigger - Reset the timer to zero each time the condition becomes false.

Example: With a 60 delay, the timer will begin counting from 0 to 60 when the condition becomes true. If the condition becomes false before the timer has reached 60, the timer will reset to 0. In effect, the condition must remain true continuously for the entire delay period in order to take the actions specified for True.

Hold - Stop and hold the timer at the present value each time the condition becomes false. When the condition becomes true again, the timer will resume counting up from the point that it stopped. In effect, this type of timer will allow the specified true actions to occur by accumulating multiple true/false transitions.

Countdown - If Countdown is selected, the timer will begin counting backwards when the condition becomes false. Example using a 60 second delay: When the condition becomes true the timer begins counting up from 0. If the condition becomes false when the timer has reached 30 seconds, the timer will start counting down until it reached 0. If the condition becomes true again before or after reaching 0, the timer will begin counting up again.

Continue - If Continue is selected, the timer will continue counting when the condition become False. Example using a 60 second delay: When the conditions become true, the timer starts counting up toward 60. If the condition becomes false, the timer still keeps counting and allows the specified actions to occur when it reaches 60.

20

Delay False inserts a time delay between the time it "recognizes" the conditions have become false, and executing whatever functions are specified to be done when false. Allowable time values are 0-65,535. These time values may be either minutes or seconds as selected the Refresh Rate field number 27. Example: Entering a value of 60 with the Refresh Rate set for seconds, will cause the control function to wait 60 seconds before performing it's specified action when false.

21

When Inputs True determines what the delay timer should do if the condition becomes true during the "false condition" time delay period. The available choices are:

Retrigger - Reset the timer to zero each time the condition becomes true.

Example: With a 60 delay, the timer will begin counting from 0 to 60 when the condition becomes false. If the condition becomes true before the timer has reached 60, the timer will reset to 0. In effect, the condition must remain false continuously for the entire delay period in order to take the actions specified for false.

Hold - Stop and hold the timer at the present value each time the condition becomes true. When the condition becomes false again, the timer will resume counting up from the point that it stopped. In effect, this type of timer will allow the specified false actions to occur by accumulating multiple true/false transitions.

Countdown - If Countdown is selected, the timer will begin counting backwards when the condition becomes true. Example using a 60 second delay: When the condition becomes false the timer begins counting up from 0. If the condition becomes true when the timer has reached 30 seconds, the timer will start counting down until it reaches 0. If the condition becomes false again before or after reaching 0, the timer will begin counting up again.

Continue - If Continue is selected, the timer will continue counting when the condition become true. Example using a 60 second delay: When the conditions become false, the timer starts counting up toward 60. If the condition becomes true, the timer still keeps counting and allows the specified actions to occur when it reaches 60.

22

Succeeding Program Lines to Enable and Disable- Provides the ability to enable/disable one or more succeeding program lines based on the specified true/false conditions in this program line. Allowable range is 0-255.

Example: If this Multi-function program is line 5 and a value of 2 is entered in this field, then program lines 6 and 7 will become enabled anytime the conditions in line 5 are true and disabled when the conditions become false. This enable/disable function will override any time and day values entered in the succeeding program lines. It is important to note that when succeeding program lines are disabled, they simply cease functioning and take no further action.

If Delay True and/or Delay False timers are used, they will apply to the enable/disable functions.

Example: If a Delay False value of 60 seconds has been entered, the succeeding program lines will be HELD ACTIVE until the counter reaches 60.

23

At True Set Outputs - Applies only to the outputs on the local node. This field is used to specify what action is to be taken when the condition becomes true. The available choices are:

On - Turn On the selected output(s) when the condition becomes true.

Off - Turn Off the selected output(s) when the condition becomes true.

No Action - Ignore the selected output(s) when the condition becomes true.

Note: Delay True and Delay False values apply here, i.e. the output will be turned On, Off or Ignored only after the time delay period has transpired.

24

Refresh - This field provides the options of Yes/No:

Yes - Continuously re-check the true/false conditions and the on/off status of the output(s) being controlled. The refresh period will be either once per minute or once per second, based on the value selected in the Refresh Rate field #27. Most often Yes should be selected to insure that the output is held in it's desired state.

No - Causes the controller to issue a "one-shot" command. Without refreshing, the output(s) will be assumed to be in the state last commanded, regardless of their actual on/off state. This is useful in special circumstances where you want to allow output(s).

25

At False Set Outputs - Applies only to the outputs on the local node. This field is used to specify what action is to be taken when the condition becomes false. The available choices are:

On - Turn On the selected output(s) when the condition becomes false.

Off - Turn Off the selected output(s) when the condition becomes false.

No Action - Ignore the selected output(s) when the condition becomes false.

Note: Delay True and Delay False values apply here, i.e. the output will be turned On, Off or Ignored only after the time delay period has transpired.

26

Refresh - This field provides the options of Yes/No:

Yes - Continuously re-check the true/false conditions and the on/off status of the output(s) being controlled. The refresh period will be either once per minute or once per second, based on the value selected in the Refresh Rate field #27. Most often Yes should be selected to insure that the output is held in it's desired state.

No - Causes the controller to issue a "one-shot" command. Without refreshing, the output(s) will be assumed to be in the state last commanded, regardless of their actual on/off state. This is useful in special circumstances where you want to allow output(s).

27

Refresh Rate = 1 - This field is selectable for Minutes or Seconds and causes all of the following to be controlled either once per Minute, or once per Second:

- The rate at which the output(s) are turned On/Off.

- The rate at which any succeeding program lines are enabled/disabled.

- The time values entered for Delay True and Delay False, 0-65550 minutes or seconds.

28

Control Output - Select which output(s) will be controlled by this program line. "At True" and/or "At False" fields must be filled in for controlling outputs. If more than one output is selected, and the refresh rate is set for Once per Second, all outputs will turn On or Off during the same second. If a refresh rate of Once per Minute is selected, outputs will sequence On or Off at the rate of one second per output. This sequential delay of 1 second is a default value and may be adjusted in the Modify Configuration menu.

29

Comment - Not used in actual program operation.


On Off Control - On

On Off Control - On

The On program issues a simple "one shot" On command to the outputs being controlled. One shot commands do not refresh every minute or second like other types of programs. In this example, Output 1 is to be turned On at 8:00 AM. If the Output is turned Off after 8:00 AM (manually or with another program line) this program will not turn it back On until 8:00 AM on the next weekday.

There are exceptions

- Re-application of power after a power failure will cause the controller to re-initialize itself. Upon re-initialization, IZAC controllers "look back" in time to determine the status of the inputs and outputs. The control would then determine if the output should be on at the present time & day.

- Setting the time & day in the controller forces the same type of re-initialization described above.

01 | Network Name
02 | Node Number
03 | Node Name
04 | Line Number in program editor
05 | Program Selection - Select which program type you would like to use.
06 | Active 24 x 7 This checkbox is just a time saver. It will select Sunday through Saturday in the "In Effect On" row of days and set the "In Effect At:" time to 12:00 AM. This is no different than if you were to just select the same settings manually.
07 | Program line's operational time settings This program line has an "In Effect On" time of Monday through Friday at 8:00 AM. This program line will only operate at 8:00 AM, Monday through Friday.
08 | Control Outputs - Selects which output(s) are to be controlled by this program line.
09 | Comment - Not used in actual program operation.


On Off Control - Off

On Off Control - Off

The Off program issues a simple "one shot" On command to the outputs being controlled. One shot commands do not refresh every minute or second like other types of programs. In this example, Output 1 is to be turned Off at 5:00 PM. If the Output is turned On after 5:00 PM (manually or with another program line) this program will not turn it back Off until 5:00 PM on the next weekday.

There are exceptions

- Re-application of power after a power failure will cause the controller to re-initialize itself. Upon re-initialization, IZAC controllers "look back" in time to determine the status of the inputs and outputs. The control would then determine if the output should be on or off at the present time & day.

- Setting the time & day in the controller forces the same type of re-initialization described above.

01 | Network Name
02 | Node Number
03 | Node Name
04 | Line Number in program editor
05 | Program Selection - Select which program type you would like to use.
06 | Active 24 x 7 This checkbox is just a time saver. It will select Sunday through Saturday in the "In Effect On" row of days and set the "In Effect At:" time to 12:00 AM. This is no different than if you were to just select the same settings manually.
07 | Program line's operational time settings This program line has an "In Effect On" time of Monday through Friday at 8:00 AM. This program line will only operate at 8:00 AM, Monday through Friday.
08 | Control Outputs - Selects which output(s) are to be controlled by this program line.
09 | Comment - Not used in actual program operation.


On Off Control - Seconds On

On Off Control - Seconds On

Programs Seconds On

01 | Network Name
02 | Node Number
03 | Node Name
04 | Line Number in program editor
05 | Program Selection - Select which program type you would like to use.
06 | Active 24 x 7 This checkbox is just a time saver. It will select Sunday through Saturday in the "In Effect On" row of days and set the "In Effect At:" time to 12:00 AM. This is no different than if you were to just select the same settings manually.
07 | Program line's operational time settings This program line has an "In Effect On" time of Monday through Friday at 8:00 AM. This program line will only operate at 8:00 AM, Monday through Friday.
08 | Control Outputs - Selects which output(s) are to be controlled by this program line.
09 | Comment - Not used in actual program operation.
10 | Duration of the On time in seconds. Legal range is 1-255 seconds.


On Off Control - Temporary On

On Off Control - Temporary On

The Temporary On program issues a simple "one shot" On command to the outputs being controlled, but only ONCE at the time & day(s) shown. After the one week shown in field #6 has transpired, the program will no longer function, i.e it will not repeat the schedule on subsequent weeks.

Program Temporary On

01 | Network Name
02 | Node Number
03 | Node Name
04 | Line Number in program editor
05 | Program Selection - Select which program type you would like to use.
06 | Active 24 x 7 This checkbox is just a time saver. It will select Sunday through Saturday in the "In Effect On" row of days and set the "In Effect At:" time to 12:00 AM. This is no different than if you were to just select the same settings manually.
07 | Program line's operational time settings This program line has an "In Effect On" time of Monday through Friday at 8:00 AM. This program line will only operate at 8:00 AM, Monday through Friday.
08 | Control Outputs - Selects which output(s) are to be controlled by this program line.
09 | Comment - Not used in actual program operation.


On Off Control - Temporary Off

On Off Control - Temporary Off

The Temporary Off program issues a simple "one shot" Off command to the outputs being controlled, but only ONCE at the time & day(s) shown. After the one week shown in field #6 has transpired, the program will no longer function, i.e. it will not repeat the schedule on subsequent weeks.

Program Temp Off

01 | Network Name
02 | Node Number
03 | Node Name
04 | Line Number in program editor
05 | Program Selection - Select which program type you would like to use.
06 | Active 24 x 7 This checkbox is just a time saver. It will select Sunday through Saturday in the "In Effect On" row of days and set the "In Effect At:" time to 12:00 AM. This is no different than if you were to just select the same settings manually.
07 | Program line's operational time settings This program line has an "In Effect On" time of Monday through Friday at 8:00 AM. This program line will only operate at 8:00 AM, Monday through Friday.
08 | Control Outputs - Selects which output(s) are to be controlled by this program line.
09 | Comment - Not used in actual program operation.


Optimum Start Heat

Optimum Start Heat

Optimum Start Heat program permits the selected outputs (heating system) to be automatically started at the latest possible time to achieve specified temperature at the "occupancy" time. The program can operate in a self-adaptive (self learning) mode or a non-adaptive mode where the user must enter heating and loss factors manually. Optimum Start programs may also be applied to boiler or heat pump loops. Optimum Start programs do not function in Area Relative modes of operation.

Based on the controllers comparison of Indoor and Outdoor temperatures, a "one shot" On command is issued to the outputs to start the heating system at the appropriate time. If the Indoor Temperature reaches the specified value before the occupancy time, the outputs are turned off.

It is important not have overlapping times for refreshing programs and one shot programs controlling the same outputs. One shot commands are not refreshed and will not countermand another refreshing program line controlling the same output at the same time. In this example, if another refreshing type program line (such as night setback) is holding the outputs Off between 3:00 AM and 6:00 AM, the Optimum Start program will not be able to turn On the relays.

Program Optimum Start Heat

01

Network Name

02

Node Number

03

Node Name

04

Line Number in program editor

05

Program Selection - Select which program type you would like to use.

06

Area Selection - Optimum Start programs do not yet function in Area Relative modes of operation.

07

Active 24 x 7

This checkbox is just a time saver. It will select Sunday through Saturday in the "In Effect On" row of days and set the "In Effect At:" time to 12:00 AM. This is no different than if you were to just select the same settings manually.

08

Program line's operational time settings

This program line has an "In Effect On" time of Monday through Friday at 3:00 AM and an "In Effect Until" time of Monday through Friday at 6:00 AM. This program line will only operate during the hours of 3:00 AM to 6:00 AM, Monday through Friday.

09

LAN-wide - With this box unchecked, only the local (on the same node) devices are available for selection. Check this box to select an input or output on another node anywhere on the LAN. Checking this box also has the effect of making the selected device an "absolute" location when copying this program line to another node.

Examples: If Input 1-1 is selected with the LAN-wide box checked, and the program is copied from node 1 to node 2, the selected output will remain Input 1-1. If the same procedure is followed with the box unchecked, the copy in node will show Input 2-1.

10

Device Type - Provides a list of available types of input/output devices to be used.

Average - the average value of the sensor selected. Averaging period is adjustable in the sensor configuration section of the software. The default value is one minute.

Instantaneous - the instantaneous value of the selected sensor. Most often used with refresh rates of 1 second. (see below)

Output - the On/Off state of the selected output. On is reported as 1, Off is 0.

Output Override - Override status of the selected output. A value of 1 is reported when in override and 0 is reported when NOT in override. Override status is a totally separate function from the On/Off status.

PWM - Reads the value of an analog output. Values will always be between 0 and 100%.

Sensor Override - Override status of the selected Input. When an input is in an override condition a value of 1 will be reported. Otherwise a value of 0 is reported.

Virtual - Selects a Virtual Point. Virtual points require a setup program, see Virtual Point section in programming.

11

Inside Temperature Sensor - Select the location of the input to be used in this program. The available choices will depend on selections made in the previous 2 fields.

12

Outside Temperature Sensor - Select the location of the Outside Air Temperature sensor. The available choices will depend on selections made in the previous fields.

13

Inside Occupancy Temperature - Specifies the desired temperature at occupancy time.

14

Mode - Select either Adaptive or Non-Adaptive mode of operation.

15

Loss Factor - Automatically calculated and entered by the controller in Adaptive mode. To perform the calculations manually, contact Solidyne for more information.

16

Heat Factor - Automatically calculated and entered by the controller in Adaptive mode. To perform the calculations manually, contact Solidyne for more information.

17

Control Outputs - Select the heating system output(s).

18

Comment - Not used in actual program operation.


Optimum Start Cool

Optimum Start Cool

Optimum Start Cool program permits the selected outputs (cooling system) to be automatically started at the latest possible time to achieve specified temperature at the "occupancy" time. The program can operate in a self-adaptive (self learning) mode or a non-adaptive mode where the user must enter cooling and loss factors manually. Optimum Start programs may also be applied to chiller or heat pump loops. Optimum Start programs do not function in Area Relative modes of operation.

Based on the controllers comparison of Indoor and Outdoor temperatures, a "one shot" On command is issued to the outputs to start the cooling system at the appropriate time. If the Indoor Temperature reaches the specified value before the occupancy time, the outputs are turned off.

It is important not have overlapping times for refreshing programs and one shot programs controlling the same outputs. One shot commands are not refreshed and will not countermand another refreshing program line controlling the same output at the same time. In this example, if another refreshing type program line (such as night setback) is holding the outputs Off between 3:00 AM and 6:00 AM, the Optimum Start program will not be able to turn On the relays.

Program Optimum Start Cool

01

Network Name

02

Node Number

03

Node Name

04

Line Number in program editor

05

Program Selection - Select which program type you would like to use.

06

Area Selection - Optimum Start programs do not yet function in Area Relative modes of operation.

07

Active 24 x 7

This checkbox is just a time saver. It will select Sunday through Saturday in the "In Effect On" row of days and set the "In Effect At:" time to 12:00 AM. This is no different than if you were to just select the same settings manually.

08

Program line's operational time settings

This program line has an "In Effect On" time of Monday through Friday at 3:00 AM and an "In Effect Until" time of Monday through Friday at 6:00 AM. This program line will only operate during the hours of 3:00 AM to 6:00 AM, Monday through Friday.

09

LAN-wide - With this box unchecked, only the local (on the same node) devices are available for selection. Check this box to select an input or output on another node anywhere on the LAN. Checking this box also has the effect of making the selected device an "absolute" location when copying this program line to another node.

Examples: If Input 1-1 is selected with the LAN-wide box checked, and the program is copied from node 1 to node 2, the selected output will remain Input 1-1. If the same procedure is followed with the box unchecked, the copy in node will show Input 2-1.

10

Device Type - Provides a list of available types of input/output devices to be used.

Average - the average value of the sensor selected. Averaging period is adjustable in the sensor configuration section of the software. The default value is one minute.

Instantaneous - the instantaneous value of the selected sensor. Most often used with refresh rates of 1 second. (see below)

Output - the On/Off state of the selected output. On is reported as 1, Off is 0.

Output Override - Override status of the selected output. A value of 1 is reported when in override and 0 is reported when NOT in override. Override status is a totally separate function from the On/Off status.

PWM - Reads the value of an analog output. Values will always be between 0 and 100%.

Sensor Override - Override status of the selected Input. When an input is in an override condition a value of 1 will be reported. Otherwise a value of 0 is reported.

Virtual - Selects a Virtual Point. Virtual points require a setup program, see Virtual Point section in programming.

11

Inside Temperature Sensor - Select the location of the input to be used in this program. The available choices will depend on selections made in the previous 2 fields.

12

Outside Temperature Sensor - Select the location of the Outside Air Temperature sensor. The available choices will depend on selections made in the previous fields.

13

Inside Occupancy Temperature - Specifies the desired temperature at occupancy time.

14

Mode - Select either Adaptive or Non-Adaptive mode of operation.

15

Loss Factor - Automatically calculated and entered by the controller in Adaptive mode. To perform the calculations manually, contact Solidyne for more information.

16

Cool Factor - Automatically calculated and entered by the controller in Adaptive mode. To perform the calculations manually, contact Solidyne for more information.

17

Control Outputs - Select the cooling system output(s).

18

Comment - Not used in actual program operation.


Optimum Stop Heat

Optimum Stop Heat

Optimum Stop Heat program permits the selected outputs (heating system) to be automatically turned off to allow the building to "coast" to a specified temperature at the "vacancy" time. The program can operate in a self-adaptive (self learning) mode or a non-adaptive mode where the user must enter heating and loss factors manually. Optimum Stop programs may also be applied to boiler or heat pump loops. Optimum Stop programs do not function in Area Relative modes of operation.

Based on the controllers comparison of Indoor and Outdoor temperatures, a "one shot" On command is issued to the outputs to stop the heating system at the appropriate time.

It is important not have overlapping times for refreshing programs and one shot programs controlling the same outputs. One shot commands are not refreshed and will not countermand another refreshing program line controlling the same output at the same time.

Program Optimum Stop Heat

01

Network Name

02

Node Number

03

Node Name

04

Line Number in program editor

05

Program Selection - Select which program type you would like to use.

06

Area Selection - Optimum Start programs do not yet function in Area Relative modes of operation.

07

Active 24 x 7

This checkbox is just a time saver. It will select Sunday through Saturday in the "In Effect On" row of days and set the "In Effect At:" time to 12:00 AM. This is no different than if you were to just select the same settings manually.

08

Program line's operational time settings

This program line has an "In Effect On" time of Monday through Friday at 3:00 AM and an "In Effect Until" time of Monday through Friday at 6:00 AM. This program line will only operate during the hours of 3:00 AM to 6:00 AM, Monday through Friday.

09

LAN-wide - With this box unchecked, only the local (on the same node) devices are available for selection. Check this box to select an input or output on another node anywhere on the LAN. Checking this box also has the effect of making the selected device an "absolute" location when copying this program line to another node.

Examples: If Input 1-1 is selected with the LAN-wide box checked, and the program is copied from node 1 to node 2, the selected output will remain Input 1-1. If the same procedure is followed with the box unchecked, the copy in node will show Input 2-1.

10

Device Type - Provides a list of available types of input/output devices to be used.

Average - the average value of the sensor selected. Averaging period is adjustable in the sensor configuration section of the software. The default value is one minute.

Instantaneous - the instantaneous value of the selected sensor. Most often used with refresh rates of 1 second. (see below)

Output - the On/Off state of the selected output. On is reported as 1, Off is 0.

Output Override - Override status of the selected output. A value of 1 is reported when in override and 0 is reported when NOT in override. Override status is a totally separate function from the On/Off status.

PWM - Reads the value of an analog output. Values will always be between 0 and 100%.

Sensor Override - Override status of the selected Input. When an input is in an override condition a value of 1 will be reported. Otherwise a value of 0 is reported.

Virtual - Selects a Virtual Point. Virtual points require a setup program, see Virtual Point section in programming.

11

Inside Temperature Sensor - Select the location of the input to be used in this program. The available choices will depend on selections made in the previous 2 fields.

12

Outside Temperature Sensor - Select the location of the Outside Air Temperature sensor. The available choices will depend on selections made in the previous fields.

13

Inside Occupancy Temperature - Specifies the desired temperature at occupancy time.

14

Mode - Select either Adaptive or Non-Adaptive mode of operation.

15

Loss Factor - Automatically calculated and entered by the controller in Adaptive mode. To perform the calculations manually, contact Solidyne for more information.

16

Control Outputs - Select the heating system output(s).

17

Comment - Not used in actual program operation.


Optimum Stop Cool

Optimum Stop Cool

Optimum Stop Cool program permits the selected outputs (cooling system) to be automatically turned off to allow the building to "coast" to a specified temperature at the "vacancy" time. The program can operate in a self-adaptive (self learning) mode or a non-adaptive mode where the user must enter cooling and loss factors manually. Optimum Stop programs may also be applied to chiller or heat pump loops. Optimum Stop programs do not function in Area Relative modes of operation.

Based on the controllers comparison of Indoor and Outdoor temperatures, a "one shot" Off command is issued to the outputs to stop the cooling system at the appropriate time.

It is important not have overlapping times for refreshing programs and one shot programs controlling the same outputs. One shot commands are not refreshed and will not countermand another refreshing program line controlling the same output at the same time.

Program Optimum Stop Cool

01

Network Name

02

Node Number

03

Node Name

04

Line Number in program editor

05

Program Selection - Select which program type you would like to use.

06

Area Selection - Optimum Start programs do not yet function in Area Relative modes of operation.

07

Active 24 x 7

This checkbox is just a time saver. It will select Sunday through Saturday in the "In Effect On" row of days and set the "In Effect At:" time to 12:00 AM. This is no different than if you were to just select the same settings manually.

08

Program line's operational time settings

This program line has an "In Effect On" time of Monday through Friday at 3:00 AM and an "In Effect Until" time of Monday through Friday at 6:00 AM. This program line will only operate during the hours of 3:00 AM to 6:00 AM, Monday through Friday.

09

LAN-wide - With this box unchecked, only the local (on the same node) devices are available for selection. Check this box to select an input or output on another node anywhere on the LAN. Checking this box also has the effect of making the selected device an "absolute" location when copying this program line to another node.

Examples: If Input 1-1 is selected with the LAN-wide box checked, and the program is copied from node 1 to node 2, the selected output will remain Input 1-1. If the same procedure is followed with the box unchecked, the copy in node will show Input 2-1.

10

Device Type - Provides a list of available types of input/output devices to be used.

Average - the average value of the sensor selected. Averaging period is adjustable in the sensor configuration section of the software. The default value is one minute.

Instantaneous - the instantaneous value of the selected sensor. Most often used with refresh rates of 1 second. (see below)

Output - the On/Off state of the selected output. On is reported as 1, Off is 0.

Output Override - Override status of the selected output. A value of 1 is reported when in override and 0 is reported when NOT in override. Override status is a totally separate function from the On/Off status.

PWM - Reads the value of an analog output. Values will always be between 0 and 100%.

Sensor Override - Override status of the selected Input. When an input is in an override condition a value of 1 will be reported. Otherwise a value of 0 is reported.

Virtual - Selects a Virtual Point. Virtual points require a setup program, see Virtual Point section in programming.

11

Inside Temperature Sensor - Select the location of the input to be used in this program. The available choices will depend on selections made in the previous 2 fields.

12

Outside Temperature Sensor - Select the location of the Outside Air Temperature sensor. The available choices will depend on selections made in the previous fields.

13

Inside Occupancy Temperature - Specifies the desired temperature at occupancy time.

14

Mode - Select either Adaptive or Non-Adaptive mode of operation.

15

Loss Factor - Automatically calculated and entered by the controller in Adaptive mode. To perform the calculations manually, contact Solidyne for more information.

16

Control Outputs - Select the cooling system output(s).

17

Comment - Not used in actual program operation.


Global Override

Global Override

Override program lines are designed to turn on outputs and/or activate other programs in response to a momentary push button being pressed at up to two sensor locations, anywhere on an IZAC network.

Program Global Override

01

Network Name

02

Node Number

03

Node Name

04

Line Number in program editor

05

Program Selection - Select which program type you would like to use.

06

Area Selection - Optimum Start programs do not yet function in Area Relative modes of operation.

07

Active 24 x 7

This checkbox is just a time saver. It will select Sunday through Saturday in the "In Effect On" row of days and set the "In Effect At:" time to 12:00 AM. This is no different than if you were to just select the same settings manually.

08

Program line's operational time settings

This program line has an "In Effect On" time of Monday through Friday at 5:00 PM and an "In Effect Until" time of Monday through Friday at 11:00 PM. This program line will only operate during the hours of 5:00 PM to 11:00 PM, Monday through Friday.

09

Activate Next __ Program Lines - Specifies how many succeeding program lines to enable when an override is initiated. This is an optional function and is useful in activating a group of programs (0-255) immediately following this program line.

10

Use LAN-wide - With this box unchecked, only the local (on the same node) sensors are available for selection. Check this box to select an input on another node anywhere on the LAN. Checking this box also has the effect of making the selected device an "absolute" location when copying this program line to another node.

Examples: If Input 1-1 is selected with the LAN-wide box checked, and the program is copied from node 1 to node 2, the selected output will remain Input 1-1. If the same procedure is followed with the box unchecked, the copy in node will show Input 2-1.

11

Select the first input that is configured for override use.

12

Select the second (optional) input that is configured for override use.

13

Override Duration - Legal range is 1 minute to 255 hours and 59 minutes.

14

Turn On Outputs - When the override condition is sensed, one or more outputs may be turned On for the override duration. If more than one output is selected, they will be will sequenced On or Off at the rate of one second per output. This sequential delay of 1 second is a default value and may be adjusted in the Modify Configuration menu. Output control in this manner is minutes based and is a refreshing program.

15

Comment - Not used in actual program operation.


Proportional Control

Proportional Control

Proportional Control programs calculate a 0-100% signal to generate a 0-10VDC analog output IZAC controllers. Programs may be written for fixed set point control or Master/Slave type operation where the Slave control point is reset or biased by the Master.

A basic characteristic of this type of program is that the output will always be mid way between the high and low limits, when the slave sensor is at its target value. Control output is directly proportional to changes in the sensed input(s). The reset function is also proportional and linear.

01

Network Name

02

Node Number

03

Node Name

04

Line Number in program editor

05

Program Selection - Select which program type you would like to use.

06

Area Selection

07

Program line's operational time settings

This program line has an "In Effect On" time of Sunday through Saturday at 7:00 AM and an "In Effect Until" time of Sunday through Saturday at 5:00 PM. This program line will only operate during the hours of 7:00 AM to 5:00 PM, Sunday through Saturday.

08

Active 24 x 7

This checkbox is just a time saver. It will select Sunday through Saturday in the "In Effect On" row of days and set the "In Effect At:" time to 12:00 AM. This is no different than if you were to just select the same settings manually.

09

Use LAN-wide - With this box unchecked, only the local (on the same node) devices are available for selection. Check this box to select an output or override on another node anywhere on the LAN. Checking this box also has the effect of making the selected device an "absolute" location when copying this program line to another node.

Examples: If Output 1-1 is selected with the LAN-wide box checked, and the program is copied from node 1 to node 2, the selected output will remain Output 1-1. If the same procedure is followed with the box unchecked, the copy in node will show Output 2-1.

10

Master/Slave - Select Master and Slave input or output devices. First, select the types of input/output devices. Then select the actual device location.

Average - the average value of the sensor selected. Averaging period is adjustable in the sensor configuration section of the software. The default value is one minute.

Instantaneous - the instantaneous value of the selected sensor. Most often used with refresh rates of 1 second. (see below)

Output - the On/Off state of the selected output. On is reported as 1, Off is 0.

Output Override - Override status of the selected output. A value of 1 is reported when in override and 0 is reported when NOT in override. Override status is a totally separate function from the On/Off status.

PWM - Reads the value of an analog output. Values will always be between 0 and 100%.

Sensor Override - Override status of the selected Input. When an input is in an override condition a value of 1 will be reported. Otherwise a value of 0 is reported.

Virtual - Selects a Virtual Point. Virtual points require a setup program, see Virtual Point section in programming.

Master is the input or output device used to reset another's control point. Example: To write a program that resets Hot Water supply based on Outside Temperature, Outside Air would be the Master because we want it to reset the Hot Water Supply. Slave is the device with a control set point or "target" that will be reset by the Master.

If fixed set point operation is desired, select the appropriate sensor in both the Master and Slave fields. Enter the set point value in all four of the following fields.

11

When Master >= Specifies the upper end of the control band for the Master.

12

The Slave Target = Specifies the Slave "target" value when the Master is at or above the upper end of the control band.

13

When Master <= Specifies the lower end of the control band.

14

The Slave Target = Specifies the Slave "target" value when the Master is at or below the lower end of the control band.

15

Slave Target Proportional Band - Specifies deviation from target required to drive the controlled output to either end of its band. Expressed as above/below target, i.e. a 2 degree proportional band means 2 degrees above, or 2 degrees below the target temperature. Proportional band units are the same as the units being sensed by the Slave device. Example, if the Slave is static pressure, then the P-Band units are pressure.

16

Maximum output change per update - Specifies the maximum change to the controlled output, per time value in field #19. The actual change may be less than the maximum, but will never exceed it. The actual change may be calculated using:

% Change = (A-B) x (C-D) / (2 x E)

Where:

A = Actual Slave value

B = Slave Target Value

C = Output at Upper Band

D = Output at Lower Band

E = Proportional Band

17

Output at upper band end - Specifies the Maximum output signal, i.e. 100% which correlates to 10.0 VDC. May be set to any value between 0-100. When the value entered is higher than the Output at lower band end in field #18, the control will be Direct Acting.

18

Output at lower band end - Specifies the Minimum output signal, i.e. 0-100% correlates to 0-10.0 VDC. May be set to any value between 0-100. When the value entered is higher than the Output at upper band end in field #17, the control will be Reverse Acting.

For Direct Acting (DA) control, enter the maximum output in field #17 and the minimum output in field #18. For Reverse Acting (RA) control, reverse the location of the minimum and maximum output values.

19

Update Interval - Selects how often (in seconds) the specified conditions are to be updated. The legal range of values is 0-9,999 seconds.

20

Normal or Stacked - May be selected for Upper and/or Lower band end. Normal causes the program to operate as described above. Stacked, causes the program to stop functioning in order to allow another program line to take over.

Example: If 50% is entered as the Upper Band End, and Stacked has been selected, when the control output signal climbs up to 50%, this program line stops functioning. The assumption is that another program is in place to take over at that point. If Normal is selected for the same example, the controller will simply continue to output 50%. The stacking feature is especially useful in changing the shape of an output curve, or generating switchover routines.

21

When output states match these - Provides a means of interlocking the control of this output, to the current state of other outputs. If On or Off boxes are checked in this filed, those outputs MUST be in the state selected, or this program will not function.

Example: A program is written to control output 1, and output 2 ON is selected in this field. The controller will only allow this program to run IF Output 2 is ON. If Output 2 turns OFF, this Proportional Control program will become disabled leaving the analog output where ever it happens to be at that time. Generally, another Proportional Control program should be written to handle output 1, when Output 2 is Off.

22

Control Outputs - Select which output(s) are to be controlled by this program line. If more than one output is selected, all outputs will modulate together at the same time.

23

Comment - Not used in actual program operation.


Proportional Integral Control

Proportional Integral Control

Proportional-Integral Control programs calculate a 0-100% signal to generate a 0-10VDC analog output IZAC controllers. Programs may be written for fixed set point control or Master/Slave type operation where the Slave control point is reset or biased by the Master. The reset function is proportional and linear.

A basic characteristic of this type of program is the ability to change its output in larger increments as the deviation increases, and to make very small changes when close to target.

Program Proportional Integral

01

Network Name

02

Node Number

03

Node Name

04

Line Number in program editor

05

Program Selection - Select which program type you would like to use.

06

Area Selection

07

Program line's operational time settings

This program line has an "In Effect On" time of Monday through Friday at 8:00 AM and an "In Effect Until" time of Monday through Friday at 9:00 PM. This program line will only operate during the hours of 8:00 AM to 9:00 PM, Monday through Friday.

08

Active 24 x 7

This checkbox is just a time saver. It will select Sunday through Saturday in the "In Effect On" row of days and set the "In Effect At:" time to 12:00 AM. This is no different than if you were to just select the same settings manually.

09

Use LAN-wide - With this box unchecked, only the local (on the same node) devices are available for selection. Check this box to select an output or override on another node anywhere on the LAN. Checking this box also has the effect of making the selected device an "absolute" location when copying this program line to another node.

Examples: If Output 1-1 is selected with the LAN-wide box checked, and the program is copied from node 1 to node 2, the selected output will remain Output 1-1. If the same procedure is followed with the box unchecked, the copy in node will show Output 2-1.

10

Master/Slave - Select Master and Slave input or output devices. First, select the types of input/output devices. Then select the actual device location.

Average - the average value of the sensor selected. Averaging period is adjustable in the sensor configuration section of the software. The default value is one minute.

Instantaneous - the instantaneous value of the selected sensor. Most often used with refresh rates of 1 second. (see below)

Output - the On/Off state of the selected output. On is reported as 1, Off is 0.

Output Override - Override status of the selected output. A value of 1 is reported when in override and 0 is reported when NOT in override. Override status is a totally separate function from the On/Off status.

PWM - Reads the value of an analog output. Values will always be between 0 and 100%.

Sensor Override - Override status of the selected Input. When an input is in an override condition a value of 1 will be reported. Otherwise a value of 0 is reported.

Virtual - Selects a Virtual Point. Virtual points require a setup program, see Virtual Point section in programming.

Master is the input or output device used to reset another's control point. Example: To write a program that resets Hot Water supply based on Outside Temperature, Outside Air would be the Master because we want it to reset the Hot Water Supply. Slave is the device with a control set point or "target" that will be reset by the Master.

If fixed set point operation is desired, select the appropriate sensor in both the Master and Slave fields. Enter the set point value in all four of the following fields.

11

When Master >= Specifies the upper end of the control band for the Master.

12

The Slave Target = Specifies the Slave "target" value when the Master is at or above the upper end of the control band.

13

When Master <= Specifies the lower end of the control band.

14

The Slave Target = Specifies the Slave "target" value when the Master is at or below the lower end of the control band.

15

Slave Target Proportional Band - Expressed as above/below target, i.e. a 2 degree proportional band means 2 degrees above, or 2 degrees below the target temperature. Proportional band units are the same as the units being sensed by the Slave device. Example, if the Slave is static pressure, then the P-Band units are pressure.

Proportional Band controls the rate at which the controller can slew its output per update interval. The actual change per may be calculated using:

((Actual Slave Value - Slave Target) / Proportional Band) x Maximum Output Change

16

Maximum output change per update - Specifies the maximum change to the controlled output, per time value in field #19. A positive value specifies Direct Acting, a Negative Value specifies Reverse Acting. The actual change may be less than the maximum, but will never exceed it.

17

Maximum Output - Specifies the Maximum output signal, i.e. 100% which correlates to 10.0 VDC. May be set to any value between 0-100, but must be higher than the minimum.

18

Minimum Output - Specifies the Minimum output signal, i.e. 0-100% correlates to 0-10.0 VDC. May be set to any value between 0-100, but must be lower than the maximum.

19

Update Interval - Selects how often (in seconds) the specified conditions are to be updated. The legal range of values is 0-9,999 seconds.

20

Normal or Stacked - May be selected for Upper and/or Lower band end. Normal causes the program to operate as described above. Stacked, causes the program to stop functioning in order to allow another program line to take over.

Example: If 50% is entered as the Upper Band End, and Stacked has been selected, when the control output signal climbs up to 50%, this program line stops functioning. The assumption is that another program is in place to take over at that point. If Normal is selected for the same example, the controller will simply continue to output 50%. The stacking feature is especially useful in changing the shape of an output curve, or generating switchover routines.

21

When output states match these - Provides a means of interlocking the control of this output, to the current state of other outputs. If On or Off boxes are checked in this filed, those outputs MUST be in the state selected, or this program will not function.

Example: A program is written to control output 1, and output 2 ON is selected in this field. The controller will only allow this program to run IF Output 2 is ON. If Output 2 turns OFF, this Proportional Control program will become disabled leaving the analog output where ever it happens to be at that time. Generally, another Proportional Control program should be written to handle output 1, when Output 2 is Off.

22

Control Outputs - Select which output(s) are to be controlled by this program line. If more than one output is selected, all outputs will modulate together at the same time.

23

Comment - Not used in actual program operation.


Virtual Point

 Top Previous

Virtual Point

The Virtual Point program is used to configure one of the IZAC controller's eight Virtual Points. In effect, a Virtual Point program is a "math block" or calculator. After configuration, the calculated Virtual Point value is available for use by all controllers on the network. In effect, a Virtual Point appears like any other "real" input/output on the network. Virtual Point values are automatically data logged with all other inputs and outputs. The largest value that can be displayed is 4095.9.

Program Virtual Point

01

Network Name

02

Node Number

03

Node Name

04

Line Number in program editor

05

Area Selection

06

Active 24 x 7

This checkbox is just a time saver. It will select Sunday through Saturday in the "In Effect On" row of days and set the "In Effect At:" time to 12:00 AM. This is no different than if you were to just select the same settings manually.

07

Program line's operational time settings

This program line has an "In Effect On" time of 24 x 7. This program line will always be active.

08

Sensor Output Rate once per - Sets the update or recalculate interval of the specified math functions. Choices are once per Minute or once per Second. The actual update rate may be effected by the size and speed of the IZAC network. Values from inputs/outputs on the local node will be updated once per second. Data requested from multiple nodes on a network will take longer to update.

09

Set - Select the location to put the results of the calculated information. Only local (in the same node) inputs/outputs may be selected. Available choices are:

Average - Puts the results of the calculations in a memory location normally used for "real" hardware points. If an Input location is selected by choosing Average, that location is no longer available as an actual hardwired Input. Example: Inputs 5,6,7,8 on an IZAC-4 do not exist as hardware points, but may be used as additional available "virtual" points if needed. Virtual Point programs 'writing" to Analog Input locations make "real" hardware points unavailable, even when the Virtual Point program is disabled or inactive.

PWM - Directly "writes" the result of the calculation to an analog output. The value range is limited to 0-100% in increments of 1. If the specified output is configured to be a 0-10 VDC output, the signal will always match the calculated value, i.e. 0-100% = 0-10VDC in 0.1 volt increments.

Virtual - Empty memory locations specifically created to store the results of a Virtual Point program line. Every IZAC controller has 8 available, but Virtual #1 has some special characteristics relating to the DU-1 temperature sensor. (see DU-1 documentation for more information).

10

Set - Provides a list of the type of device selected in the previous field. Note that only local devices are available for use.

11

at start time, at stop time - Allows the user to preset values while the program is inactive based on the entered time/day ranges.

Example: using 72 at start time and 65 at stop time would cause the Virtual Point reading to indicate 72 when the program becomes active, but the value would immediately revert to the "calculated" value specified. At the stop time, the value will read 65 until the next start time. It is important to note that this strategy only applies if start/stop times are entered in field #7 above. It does not apply if the Virtual Point program is Disabled by another program line. Virtual Point programs will continue to report their last calculated value when they are disabled, or become inactive without "set" values entered.

12

Multiplier - (positive or negative) to be applied to the overall value after performing any individual multipliers, offsets and functions such as Min, Max, Avg, etc.

13

Function - Selects which of the eight modes of operation that this Virtual Point program will perform. The functions listed below are performed after any multipliers or offsets listed in fields 14 & 16.

NOP - Non Operational - This selection suspends math operations, but leaves the program in an active state.

Min - Returns the numerical value of the lowest of up to eight input/outputs

Max - Returns the numerical value of the highest of up to eight input/outputs.

Sum - Provides the numerical sum of up to eight inputs/outputs.

Avg - Displays the numerical average of up to eight inputs/outputs.

Mul - Returns the product of multiplying input/output sensor values by each other.

Div - Returns the quotient of dividing the first value by the second.

Sqrt - Calculates the square root of the selected input/output.

14

Multiplier to be applied to the individual input or output selected.

15

Input/Output device selections to be used. Up to eight input/output devices may be selected from anywhere on the network. Input and Output types may be freely intermixed.

Available input/output device types are:

Average - the average value of the sensor selected. Averaging period is adjustable in the sensor configuration section of the software. The default value is one minute.

Instantaneous - the instantaneous value of the selected sensor. Most often used with refresh rates of 1 second. (see below)

Output - the On/Off state of the selected output. On is reported as 1, Off is 0.

Output Override - Override status of the selected output. A value of 1 is reported when in override and 0 is reported when NOT in override. Override status is a totally separate function from the On/Off status.

PWM - Reads the value of an analog output. Values will always be between 0 and 100%.

Sensor Override - Override status of the selected Input. When an input is in an override condition a value of 1 will be reported. Otherwise a value of 0 is reported.

Virtual - Selects a Virtual Point. Virtual points require a setup program, see Virtual Point section in programming.

Inputs and outputs may be selected from anywhere on the network. With the LAN box unchecked, only the local (on the same node) devices are available for selection. Check the LAN box to select an output or override on another node anywhere on the network. Checking this box also has the effect of making the selected device an "absolute" location when copying this program line to another node.

Examples: If Instantaneous value for Sensor 1-1 is selected with the LAN box checked, and the program is copied from node 1 to node 2, the will remain Input 1-1 in the copy. If the same procedure is followed with the box unchecked, the copy in node will indicate the Instantaneous value for Sensor 2-1.

16

Offset to be applied to the individual input or output selected.

17

Offset (positive or negative) to be applied to the overall value after performing any individual multipliers, offsets and functions such as Min, Max, Avg, etc.

18

Comment - Not used in actual program operation.